HTML 4.01 / XHTML 1.0 标签参考手册

  • NN：显示所支持标签的 Netscape 的最早版本。
  • IE：显示所支持标签的 Internet Explorer 的最早版本。
  • DTD：显示在哪一种XHTML 1.0 DTD中，标签是被允许的。S=Strict, T=Transitional, F=Frameset.
基本的标签 | 描述 | NN | IE | DTD
<!DOCTYPE> | 定义文档类型。 |  |  | STF
<html> | 定义 html 文档。 | 3.0 | 3.0 | STF
<body> | 定义 body 元素。 | 3.0 | 3.0 | STF
<h1> to <h6> | 定义标题 1 到标题 6。 | 3.0 | 3.0 | STF
<p> | 定义段落。 | 3.0 | 3.0 | STF
<br> | 插入一个换行。 | 3.0 | 3.0 | STF
<hr> | 定义水平线。 | 3.0 | 3.0 | STF
<!--...--> | 定义注释。 | 3.0 | 3.0 | STF
字符格式化 | 描述 | NN | IE | DTD
<em> | 定义强调文本。 | 3.0 | 3.0 | STF
<strong> | 定义语气更为强烈的强调文本。 | 3.0 | 3.0 | STF
<sup> | 定义上标文本。 | 3.0 | 3.0 | STF
<sub> | 定义下标文本。 | 3.0 | 3.0 | STF
<bdo> | 定义文本显示的方向。 | 6.2 | 5.0 | STF
<b> | 不赞成使用！定义粗体文本。 | 3.0 | 3.0 | STF
<font> | 不赞成使用！定义文字的字体、尺寸和颜色 | 3.0 | 3.0 | TF
<i> | 不赞成使用！定义斜体文本。 | 3.0 | 3.0 | STF
<big> | 不赞成使用！定义大号字体文本。 | 3.0 | 3.0 | STF
<small> | 不赞成使用！定义小号字体文本。 | 3.0 | 3.0 | STF
<u> | 不赞成使用！定义下划线文本。 | 3.0 | 3.0 | TF
输出 | 描述 | NN | IE | DTD
<pre> | 定义预格式文本 | 3.0 | 3.0 | STF
<code> | 定义计算机代码文本。 | 3.0 | 3.0 | STF
<tt> | 定义打字机文本。 | 3.0 | 3.0 | STF
<kbd> | 定义键盘文本。 | 3.0 | 3.0 | STF
<var> | 定义变量。 | 3.0 | 3.0 | STF
<dfn> | 定义定义项目。 |  | 3.0 | STF
<samp> | 定义样本文本。 | 3.0 | 3.0 | STF
<xmp> | 不赞成使用。定义预格式文本。 | 3.0 | 3.0 |
块级 | 描述 | NN | IE | DTD
<acronym> | 定义只取首字母的缩写。 | 6.2 | 4.0 | STF
<abbr> | 定义缩写。 | 6.2 |  | STF
<address> | 定义地址元素。 | 4.0 | 4.0 | STF
<blockquote> | 定义块引用。 | 3.0 | 3.0 | STF
<q> | 定义短的引用。 | 6.2 | 4.0 | STF
<cite> | 定义引用(citation)。 | 3.0 | 3.0 | STF
<ins> | 定义被插入文本。 | 6.2 | 4.0 | STF
<del> | 定义被删除文本. | 6.2 | 4.0 | STF
<center> | 不赞成使用！定义居中字体。 | 3.0 | 3.0 | TF
<s> | 不赞成使用！定义加删除线的文本。 | 3.0 | 3.0 | TF
<strike> | 不赞成使用！定义加删除线的文本。 | 3.0 | 3.0 | TF
链接 | 描述 | NN | IE | DTD
<a> | 定义锚。 | 3.0 | 3.0 | STF
<link> | 定义资源引用(resource reference)。 | 4.0 | 3.0 | STF
框架 | 描述 | NN | IE | DTD
<frame> | 定义框架的子窗口 | 3.0 | 3.0 | F
<frameset> | 定义框架结构 | 3.0 | 3.0 | F
<noframes> | 定义无框架的节 | 3.0 | 3.0 | TF
<iframe> | 定义内联框架 | 6.0 | 4.0 | TF
输入 | 描述 | NN | IE | DTD
<form> | 定义表单。 | 3.0 | 3.0 | STF
<input> | 定义输入域。 | 3.0 | 3.0 | STF
<textarea> | 定义文本输入区。 | 3.0 | 3.0 | STF
<button> | 定义按钮。 | 6.2 | 4.0 | STF
<select> | 定义下拉式菜单。 | 3.0 | 3.0 | STF
<optgroup> | 定义选项分组。 | 6.0 | 6.0 | STF
<option> | 定义下拉列表中的可选项。 | 3.0 | 3.0 | STF
<label> | 为表单元素创建标记。 | 6.2 | 4.0 | STF
<fieldset> | 将表单内的相关元素分组。 | 6.2 | 4.0 | STF
<legend> | 定义框架结构的标题。 | 6.2 | 4.0 | STF
<isindex> | 不赞成使用。定义单行的输入域 | 3.0 | 3.0 | TF
列表 | 描述 | NN | IE | DTD
<ul> | 定义无序列表。 | 3.0 | 3.0 | STF
<ol> | 定义有序列表。 | 3.0 | 3.0 | STF
<li> | 定义列表项目。 | 3.0 | 3.0 | STF
<dl> | 定义定义列表。 | 3.0 | 3.0 | STF
<dt> | 定义定义项目。 | 3.0 | 3.0 | STF
<dd> | 定义定义描述。 | 3.0 | 3.0 | STF
<dir> | 不赞成使用。定义目录列表。 | 3.0 | 3.0 | TF
<menu> | 不赞成使用。定义菜单列表。 | 3.0 | 3.0 | TF
图像 | 描述 | NN | IE | DTD
<img> | 定义图像。 | 3.0 | 3.0 | STF
<map> | 定义图像映射。 | 3.0 | 3.0 | STF
<area> | 定义图像地图内部的区域。 | 3.0 | 3.0 | STF
表格 | 描述 | NN | IE | DTD
<table> | 定义表格 | 3.0 | 3.0 | STF
<caption> | 定义表格标题 | 3.0 | 3.0 | STF
<th> | 定义表格页眉 | 3.0 | 3.0 | STF
<tr> | 定义表格的行 | 3.0 | 3.0 | STF
<td> | 定义表格单元 | 3.0 | 3.0 | STF
<thead> | 定义表格的页眉 |  | 4.0 | STF
<tbody> | 定义表格的主体 |  | 4.0 | STF
<tfoot> | 定义表格的页脚 |  | 4.0 | STF
<col> | 定义用于表格列的属性 |  | 3.0 | STF
<colgroup> | 定义表格列的组 |  | 3.0 | STF
样式 | 描述 | NN | IE | DTD
<style> | 定义样式定义 | 4.0 | 3.0 | STF
<div> | 定义文档中的节 | 3.0 | 3.0 | STF
<span> | 定义文档中的节 | 4.0 | 3.0 | STF
元信息 | 描述 | NN | IE | DTD
<head> | 定义关于文档的信息 | 3.0 | 3.0 | STF
<title> | 定义文档的标题 | 3.0 | 3.0 | STF
<meta> | 定义元信息 | 3.0 | 3.0 | STF
<base> | 定义某个页面当中的所有链接的基准链接 | 3.0 | 3.0 | STF
<basefont> | 不赞成使用。定义基准字体 | 3.0 | 3.0 | TF
Programming | 描述 | NN | IE | DTD
<script> | 定义一段脚本。 | 3.0 | 3.0 | STF
<noscript> | 定义 noscript 部分。 | 3.0 | 3.0 | STF
<object> | 定义嵌入的对象。 |  | 3.0 | STF
<param> | 为对象定义参数。 | 3.0 | 3.0 | STF
<applet> | 不赞成使用。定义 applet。 | 2.0 | 3.0 | TF

2008.10 made by colinivy && wondger


HTML <!DOCTYPE> 标签

定义和用法

<!DOCTYPE> 声明位于文档中的最前面的位置，处于 <html> 标签之前。此标签可告知浏览器文档使用哪种 HTML 或 XHTML 规范。

该标签可声明三种 DTD 类型，分别表示严格版本、过渡版本以及基于框架的 HTML 文档。

以下面这个 <!DOCTYPE> 标签为例：

<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

在上面的声明中，声明了文档的根元素是 html，它在公共标识符被定义为 "-//W3C//DTD XHTML 1.0 Strict//EN" 的 DTD 中进行了定义。浏览器将明白如何寻找匹配此公共标识符的 DTD。如果找不到，浏览器将使用公共标识符后面的 URL 作为寻找 DTD 的位置。

提示和注释：

注释：<!DOCTYPE> 标签没有结束标签！

HTML

HTML 4.01 规定了三种文档类型：Strict、Transitional 以及 Frameset。

HTML Strict DTD

如果您需要干净的标记，免于表现层的混乱，请使用此类型。请与层叠样式表（CSS）配合使用：

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "
    http://www.w3.org/TR/html4/strict.dtd">

HTML Transitional DTD

Transitional DTD 可包含 W3C 所期望移入样式表的呈现属性和元素。如果您的读者使用了不支持层叠样式表（CSS）的浏览器以至于您不得不使用 HTML 的呈现特性时，请使用此类型：

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "
    http://www.w3.org/TR/html4/loose.dtd">

Frameset DTD

Frameset DTD 应当被用于带有框架的文档。除 frameset 元素取代了 body 元素之外，Frameset DTD 等同于 Transitional DTD：

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN" "
    http://www.w3.org/TR/html4/frameset.dtd">

XHTML

XHTML 1.0 规定了三种 XML 文档类型：Strict、Transitional 以及 Frameset。

XHTML Strict DTD

如果您需要干净的标记，免于表现层的混乱，请使用此类型。请与层叠样式表（CSS）配合使用：

    <!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

XHTML Transitional DTD

Transitional DTD 可包含 W3C 所期望移入样式表的呈现属性和元素。如果您的读者使用了不支持层叠样式表（CSS）的浏览器以至于您不得不使用 XHTML 的呈现特性时，请使用此类型：

<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

XHTML Frameset DTD

当您希望使用框架时，请使用此 DTD！

    <!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd">

如需检查你是否编写了带有正确 DTD 的合法 XHTML 文档，您可以把您的 XHTML 页面链接到一个 XHTML 验证器。

属性：无


HTML <html> 标签

定义和用法

此元素可告知浏览器其自身是一个 HTML 文档。

HTML 与 XHTML 之间的差异

xmlns 属性在 XHTML 中是必需的，但在 HTML 中不是。不过，即使 XHTML 文档中的 <html> 没有使用此属性，W3C 的验证器也不会报错。这是因为 "xmlns=http://www.w3.org/1999/xhtml" 是一个固定值，即使您没有包含它，此值也会被添加到 <html> 标签中。

例子

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
</head>
<body>
  ...
  ...
  ...
</body>
</html>

标准属性

dir, lang, xml:lang

如需完整的描述，请访问标准属性。


HTML <body> 标签

定义和用法

body 元素定义文档的主体。它包含文档的所有内容（比如文本、图像、颜色和图形等等。）

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，所有 body 元素的“呈现属性”均不被赞成使用。

在 XHTML 1.0 Strict DTD 中，所有 body 元素的“呈现属性”均不被支持。

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onload, onunload, onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup

如需完整的描述，请访问事件属性。


HTML <h1> to <h6> 标签

定义和用法

<h1> - <h6> 标签可定义标题。<h1> 定义最大的标题。<h6> 定义最小的标题。

由于 h 元素拥有确切的语义，因此请您慎重地选择恰当的标签层级来构建文档的结构。因此，请不要利用标题标签来改变同一行中的字体大小。相反，我们应当使用层叠样式表定义来达到漂亮的显示效果。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，h1 - h6 元素的 "align" 属性不被赞成使用。

在 XHTML 1.0 Strict DTD 中，h1 - h6 元素的 "align" 属性不被支持。

例子

<h1>这是标题 1</h1>
<h1>这是标题 2</h1>
<h2>这是标题 3</h2>
<h4>这是标题 4</h4>
<h5>这是标题 5</h5>
<h6>这是标题 6</h6>

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <p> 标签

定义和用法

<p> 标签可定义一个段落。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，所有 p 元素的呈现属性均不被赞成使用。

在 XHTML 1.0 Strict DTD 中，所有 p 元素的呈现属性均不被支持。

例子

<p>This is some text in a very short paragraph</p>

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <br> 标签

定义和用法

<br> 可插入一个简单的换行符。

<br> 标签是空标签（意味着它没有结束标签，因此这是错误的：<br></br>）。

clear 属性

如果您希望文本流在内联表格或图像的下一行继续输出，请使用 clear 属性，该属性有三个可选的值：left、right 或者 all，每个值都代表一个边界或两边的边界。

更多有关 <br> 标签的 clear 属性的信息。

HTML 与 XHTML 之间的差异

在 HTML 中，<br> 标签没有结束标签。

在 XHTML 中，<br> 标签必须被正确地关闭，比如这样：<br />。

提示和注释：

注释：请使用 <br> 来输入空行，而不是分割段落。

标准属性

id, class, title, style

如需完整的描述，请访问标准属性。


HTML <hr> 标签

定义和用法

<hr> 标签可插入一个水平线。

水平分隔线（horizontal rule）可以在视觉上将文档分隔成各个部分。

HTML 与 XHTML 之间的差异

在 HTML 中，<hr> 标签没有结束标签。

在 XHTML 中，<hr> 必须被正确地关闭。

在 HTML 4.01 中，hr 元素的所有呈现属性均不被赞成使用。

在 XHTML 1.0 Strict DTD 中，hr 元素的所有呈现属性均不被支持。

例子

<h1>This is header 1</h1>
<hr />
<p>This is some text</p>

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <!--...--> 标签

定义和用法

注释标签用来在源文档中插入注释。注释会被浏览器忽略。您可使用注释对您的代码进行解释，这样做有助于您在以后的时间对代码的编辑。

您也可以在注释内容存储针对程序所定制的信息。在这种情况下，这些信息对用户是不可见的，但是对程序来说是可用的。一个好的习惯是把注释或样式元素放入注释文本中，这样就可避免不支持脚本或样式的老浏览器把它们显示为纯文本。

除了在源文档中有非常明显的作用外，许多 Web 服务器也利用注释来实现文档服务端软件特有的特性。这些服务器可以扫描文档，从传统的 HTML/XHTML 注释中找到特定的字符序列，然后再根据嵌在注释中的命令采取相应的动作。这些动作可能是简单的包括其他文件中的文本（即所谓的服务器端包含，server-inside include），也可能是复杂地执行其他命令去动态生成文档的内容。

例子：

    <!--This text is a comment-->
    <p>This is a regular paragraph</p>

属性：无


HTML <em> <strong> <dfn> <code> <samp> <kbd><var> <cite> 标签

定义和用法

以下元素都是短语元素。虽然这些标签定义的文本大多会呈现出特殊的样式，但实际上，这些标签都拥有确切的语义。

我们并不反对使用它们，但是如果您只是为了达到某种视觉效果而使用这些标签的话，我们建议您使用样式表，那么做会达到更加丰富的效果。

<em> | 把文本定义为强调的内容。
<strong> | 把文本定义为语气更强的强调的内容。
<dfn> | 定义一个定义项目。
<code> | 定义计算机代码文本。
<samp> | 定义样本文本。
<kbd> | 定义键盘文本。它表示文本是从键盘上键入的。它经常用在与计算机相关的文档或手册中。
<var> | 定义变量。您可以将此标签与 <pre> 及 <code> 标签配合使用。
<cite> | 定义引用。可使用该标签对参考文献的引用进行定义，比如书籍或杂志的标题。

HTML 与 XHTML 之间的差异

无

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <sub> 和 <sup> 标签

定义和用法

<sub> 标签可定义下标文本。<sup> 可定义上标文本。

HTML 与 XHTML 之间的差异

无

例子

这段文本包含 <sub>下标</sub>
这段文本包含 <sup>上标</sup>

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <bdo> 标签

定义和用法

bdo 元素可覆盖默认的文本方向。

HTML 与 XHTML 之间的差异

NONE

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。


HTML <tt> <i> <b> <big> <small> 标签

定义和用法

以下的元素均是字体样式元素.它们不被赞成使用,通过使用样式表会取得更加多样的效果。

<tt> | 呈现类似打字机或者等宽的文本效果。
<i> | 显示斜体文本效果。
<b> | 呈现粗体文本效果。
<big> | 呈现大号字体效果。
<small> | 呈现小号字体效果。

HTML 与 XHTML 之间的差异

无。

标准属性

id, class, title, style, dir, lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown onkeyup


HTML <font> 标签

定义和用法

<font> 可规定文本的字体、字体尺寸、字体颜色。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，font 元素不被赞成使用。

在 XHTML 1.0 Strict DTD 中，font 元素不被支持。

提示和注释：

注释：请使用样式（代替 <font>）来定义文本的字体、字体颜色、字体尺寸。

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

NONE


HTML <u> 标签

定义和用法

<u> 标签可定义下划线文本。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，u 元素是不被赞成使用的。

在 XHTML 1.0 Strict DTD 中，u 元素是不被支持的。

提示和注释：

注释：请尽量避免为文本加下划线 - 用户会把它混淆为一个超链接！

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
 onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <pre> 标签

定义和用法

pre 元素可定义预格式化的文本。被包围在 pre 元素中的文本通常会保留空格和换行符。而文本也会呈现为等宽字体。

<pre> 标签的一个常见应用就是用来表示计算机的源代码。

提示和注释

制表符（tab）在 <pre> 标签定义的块当中可以起到应有的作用，每个制表符占据 8 个字符的位置。但是我们不推荐使用它，因为在不同的浏览器中，Tab 的实现各不相同。在用 <pre> 标签格式化的文档段中使用空格，可以确保文本正确的水平位置。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，pre 元素的 "width" 属性是不被赞成使用的。

在 XHTML 1.0 Strict DTD 中，pre 元素的 "width" 属性是不被支持的。

标准属性

id, class, title, style, dir, lang, xml:lang, xml:space

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <acronym> 标签

定义和用法

<acronym> 元素可定义只取首字母缩写，比如 "NATO"。通过对只取首字母缩写进行标记，您就能够为浏览器、拼写检查程序、翻译系统以及搜索引擎分度器提供有用的信息。

HTML 与 XHTML 之间的差异

无

提示和注释：

注释：在某些浏览器中，当您把鼠标移至缩略词语上时，title 可用于展示表达的完整版本。

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <abbr> 标签

定义和用法

表示一个缩写形式，比如 "Inc."、"etc."。通过对缩写词语进行标记，您就能够为浏览器、拼写检查程序、翻译系统以及搜索引擎分度器提供有用的信息。

<abbr> 标签最初是在 HTML 4.0 中引入的，表示它所包含的文本是一个更长的单词或短语的缩写形式。

浏览器可能会根据这个信息改变对这些文本的显示方式，或者用其他文本代替。也许当前流行的浏览器对 <abbr> 标签中包含的文本还没有任何处理方式，但是我们无法预测将来的版本将会如何实现该标签。

HTML 与 XHTML 之间的差异

无

例子

<abbr title="etcetera">etc.</abbr>

提示和注释：

注释：在某些浏览器中，当您把鼠标移至缩略词语上时，title 可被用来展示表达的完整版本。

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <address> 标签

定义和用法

<address> 可定义一个地址（比如电子邮件地址）。您应当使用它来定义地址、签名或者文档的作者身份。

HTML 与 XHTML 之间的差异

无。

提示和注释：

注释：address 通常被呈现为斜体。大多数浏览器会在 address 元素的前后添加一个换行符，不过如果有必要的话，您需要在地址文本的内容添加额外的换行符。

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <blockquote> 标签

定义和用法

<blockquote> 标签可定义一个块引用。

<blockquote> 与 <blockquote> 之间的所有文本都会从常规文本中分离出来，经常会在左、右两边进行缩进，而且有时会使用斜体。也就是说，块引用拥有它们自己的空间。

HTML 与 XHTML 之间的差异

应当在 <blockquote> 标签中仅仅包含块级元素，而不仅仅是纯文本。

如需把页面作为 strict XHTML 进行验证，您就必须在 <blockquote> 标签内容添加块级元素，比如这样：

<blockquote>
<p>here is a long quotation here is a long quotation</p>
</blockquote>

提示和注释：

注释：blockquote 元素会在文本的两端经常会缩进。

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, and F=Frameset.

属性 | 值 | 描述 | DTD
cite | URL | 指示引用的来源。该属性的值是一个包含在引号中并指向联机文档的 URL，以及（如果有可能的话）引用在该文档中的确切位置。 | STF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <q> 标签

定义和用法

<q> 标签可定义一个短的引用。

HTML 与 XHTML 之间的差异

NONE

提示和注释：

注释：根据 HTML 4.01 规范，q 元素应当使用分界引号来呈现，就就是说，q 元素包含的文本必须以引号来开始和结束。Mozilla 浏览器 (Firefox) 以及 Opera 符合这个规定，但是 Internet Explorer 却不支持此规定。

提示：<q> 标签在本质上与 <blockquote> 是一样的。不同之处在于它们的显示和应用。<q> 标签用于简短的行内引用。

可选的属性

属性 | 值 | 描述 | DTD
cite | citation | 定义引用的出处或来源（citation） | STF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <ins> 标签

定义和用法

定义一个被插入的文本。

HTML 与 XHTML 之间的差异

NONE

提示和注释：

注释：请与 <del> 一同使用，来描述对文档的更新和修正。

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
cite | URL | 指向另外一个文档的 URL，此文档可解释文本被插入的原因。 | STF
datetime | YYYYMMDD | 定义文本被插入的日期和时间。 | STF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <del> 标签

定义和用法

定义文档中已被删除的文本。

HTML 与 XHTML 之间的差异

NONE

提示和注释：

注释：请与 <ins> 标签配合使用，来描述文档中的更新和修正。

例子

a dozen is <del>20</del> 12 pieces

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove,
onmouseout, onkeypress, onkeydown, onkeyup


HTML <center> 标签

定义和用法

对其所包括的文本进行水平居中。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，center 元素不被赞成使用。

在 XHTML 1.0 Strict DTD 中，center 元素不被支持。

提示和注释：

注释：提示：请使用 CSS 样式来居中文本！

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <s><strike> 标签

 <<回到标签列表

HTML <s> 和 <strike> 标签

定义和用法

<s> 和 <strike> 标签可定义加删除线文本定义。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，<s> 和 <strike> 标签不被赞成使用。

在 XHTML 1.0 Strict DTD 中，<s> 和 <strike> 标签不被支持。

提示和注释：

注释：请使用 <del> 替代它！

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <a> 标签

定义和用法

<a> 标签可定义锚。一个锚有两种用法：

  • 通过使用 href 属性，创建一个到另外一个文档的链接
  • 通过使用 name 或 id 属性，创建一个文档内部的书签

HTML 与 XHTML 之间的差异

NONE

提示和注释：

注释：被链接的页面通常被显示在当前的浏览器窗口中，除非您规定了其他的 target。

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
charset | 标准字符集的名称 | 规定目标 URL 的字符编码。 | STF
coords | 参见 coords 属性和 shape 属性 | STF
href | URL | 链接的目标 URL。 | STF
hreflang | ISO 标准的双字符语言代码 | 规定目标 URL 的基准语言。 | STF
name section_name 命名一个锚。请使用此属性在文档中创建某个书签。
在XHTML的未来版本中，name属性会被id属性取代！ 		STF
rel
  • alternate
  • designates
  • stylesheet
  • start
  • next
  • prev
  • contents
  • index
  • glossary
  • copyright
  • chapter
  • section
  • subsection
  • appendix
  • help
  • bookmark
 规定当前文档与目标 URL 之间的关系。 STF
rev
  • alternate
  • designates
  • stylesheet
  • start
  • next
  • prev
  • contents
  • index
  • glossary
  • copyright
  • chapter
  • section
  • subsection
  • appendix
  • help
  • bookmark
 规定目标 URL 与当前文档之间的关系。 STF
shape | 参见 coords 属性和 shape 属性 | STF
target
  • _blank
  • _parent
  • _self
  • _top
 在何处打开目标 URL：
  • _blank - 在一个新的未命名的窗口载入文档
  • _self - 在相同的框架或窗口中载入目标文档
  • _parent - 把文档载入父窗口或包含了超链接引用的框架的框架集
  • _top - 把文档载入包含该超链接的窗口,取代任何当前正在窗口中显示的框架
 TF
type | MIME 编码类型 | 规定目标 URL 的 MIME 类型。 | STF

coords 属性和 shape 属性

当前流行的浏览器已经不再支持这两种属性了，与 <area> 标签中的同名属性类似，coords 和 shape 属性会为 <a> 标签定义一个影响区域。

只有在 <a> 标签是 <map> 标签的一部分时，才可以在 <a> 标签中使用这两种属性。

参见 <map> 标签。参见 <area> 标签。参见 <area> 标签的 coords 属性。

标准属性

id, class, title, style, dir, lang, xml:lang, tabindex, accesskey

如需完整的描述，请访问标准属性。

事件属性

onfocus, onblur, onclick, ondblclick, onmousedown, onmouseup,
onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <link> 标签

定义和用法

此元素定义了当前文档与 Web 集合中其他文档的关系。

HTML 与 XHTML 之间的差异

在 HTML 中，<link> 标签没有结束标签。

在 XHTML 中，<link> 标签必须被正确的关闭。

提示和注释：

注释：link 元素是空元素，它仅包含属性。

注释：此元素只能存在于 head 部分，不过它可出现任何次数。

例子

<head>
<link rel="stylesheet" type="text/css" href="theme.css"   />
</head>

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
charset | charset | 定义目标 URL 的字符编码方式。默认值是 "ISO-8859-1"。 | STF
href | URL | 目标文档或资源的 URL。 | STF
hreflang | language_code | 定义目标 URL 的基准语言。 | STF
media
  • screen
  • tty
  • tv
  • projection
  • handheld
  • print
  • braille
  • aural
  • all
 规定文档将显示在什么设备上。 STF
rel
  • alternate
  • appendix
  • bookmark
  • chapter
  • contents
  • copyright
  • glossary
  • help
  • home
  • index
  • next
  • prev
  • section
  • start
  • stylesheet
  • subsection
 定义当前文档与目标文档之间的关系。 STF
rev
  • alternate
  • appendix
  • bookmark
  • chapter
  • contents
  • copyright
  • glossary
  • help
  • home
  • index
  • next
  • prev
  • section
  • start
  • stylesheet
  • subsection
 定义目标文档与当前文档之间的关系。 STF
target
  • _blank
  • _parent
  • _self
  • _top
 在何处打开目标 URL:
  • _blank - 在一个新的未命名的窗口载入文档
  • _self - 在相同的框架或窗口中载入目标文档
  • _parent - 把文档载入父窗口或包含了超链接引用的框架的框架集
  • _top - 把文档载入包含该超链接的窗口,取代任何当前正在窗口中显示的框架
 TF
title | 字符串 | 为要链接的文档指定标题。在引用不带有标题的源（例如图像或非HTML文档）时，该属性非常有用。在这种情况下，浏览器会在显示被引用的文档时使用 <link> 标题。 | STF
type

MIME_type

比如：

  • text/css
  • text/javascript
  • image/gif
 规定目标 URL 的 MIME 类型。 STF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <frame> 标签

定义和用法

在 <frameset> 中定义一个框架。

HTML 与 XHTML 之间的差异

在 HTML 中，<frame> 标签没有结束标签。

在 XHTML 中，<frame> 标签必须被正确地关闭。

提示和注释：

注释：如果您希望验证某个包含框架的页面，请确保 DTD 被设置为 "Frameset DTD"。

重要事项：您不能与 <frameset></frameset> 标签一起使用 <body></body> 标签。不过，如果您需要为不支持框架的浏览器添加一个 <noframes> 标签，请务必将此标签放置在 <body></body> 标签中！

可选的属性

属性 | 值 | 描述 | DTD
frameborder
  • 0
  • 1
 规定是否显示框架周围的边框。 F
longdesc | URL | 描述此框架内容的长的 URL。可为那些不支持框架的浏览器使用此属性。 | F
marginheight | pixels | 定义框架中的顶部和底部边距。 | F
marginwidth | pixels | 定义框架中的左侧和右侧边距。 | F
name | frame_name | 为框架定义唯一的名称（以便在脚本中使用）。 | F
noresize | noresize | 当设置为 noresize 时，用户无法对框架调整尺寸。 | F
scrolling
  • yes
  • no
  • auto
 确定滚动条的行为。 F
src | URL | 定义显示在框架中的文件的 URL。 | F

标准属性

id, class, title, style

如需完整的描述，请访问标准属性。


HTML <frameset> 标签

定义和用法

frameset 元素可定义一个框架集。它被用来组织多个窗口（框架）。每个框架存有独立的文档。在其最简单的应用中，frameset 元素仅仅会规定在框架集中存在多少列或多少行。您必须使用 cols 或 rows 属性。

HTML 与 XHTML 之间的差异

NONE

提示和注释：

注释：如果您希望验证某个包含框架的页面，请确保 DTD 被设置为 "Frameset DTD"。

重要事项：您不能与 <frameset></frameset> 标签一起使用 <body></body> 标签。不过，如果您需要为不支持框架的浏览器添加一个 <noframes> 标签，请务必将此标签放置在 <body></body> 标签中！

可选的属性

属性 值 描述 DTD
cols
  • pixels
  • %
  • *
 定义框架集中列的数目和尺寸。有关 cols 属性的详细信息。 F
rows
  • pixels
  • %
  • *
 定义框架集中行的数目和尺寸。有关 rows 属性的详细信息。 F

标准属性

id, class, title, style

如需完整的描述，请访问标准属性。

事件属性

NONE


HTML <noframes> 标签

定义和用法

noframes 元素可为那些不支持框架的浏览器显示文本。noframes 元素位于 frameset 元素内部。

HTML 与 XHTML 之间的差异

NONE

提示和注释：

注释：如果浏览器有能力处理框架，就不会显示出 frameset 元素中的文本。

重要事项：如果您希望 frameset 添加 <noframes> 标签，就必须报其中的文本包装在 <body></body> 标签中！

注释：如果您希望验证包含框架的页面，请确保 DTD 被设置为 "Frameset DTD"。

注释：在XHTML 1.0 Strict DTD 中，<noframes> 标签是不被允许的。

例子

<frameset cols = "25%, 25%,*">
  <noframes>
  <body>Your browser does not handle frames!</body>
  </noframes>
  <frame src ="venus.htm" />
  <frame src   ="sun.htm" />
  <frame src ="mercur.htm"   />
</frameset>

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。


HTML <iframe> 标签

定义和用法

iframe 元素会创建一个包含另外一个文档的内联框架。

HTML 与 XHTML 之间的差异

NONE

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
align
  • left
  • right
  • top
  • middle
  • bottom
 规定如何根据周围的文本来排列此框架。 TF
frameborder
  • 1
  • 0
 规定是否显示框架的边框。 TF
height
  • pixels
  • %
 定义 iframe 的高度。 TF
longdesc | URL | 描述此框架内容的长描述的URL。 | TF
marginheight | pixels | 定义 iframe 的顶部和底部的边距。 | TF
marginwidth | pixels | 定义 iframe 的左侧和右侧的边距。 | TF
name | frame_name | 规定 iframe 的唯一名称 （以便在脚本中使用）。 | TF
scrolling
  • yes
  • no
  • auto
 定义滚动条。 TF
src | URL | 在 iframe 中显示文档的 URL。 | TF
width
  • pixels
  • %
 定义 iframe 的宽度。 TF

标准属性

id, class, title, style

如需完整的描述，请访问标准属性。


HTML <form> 标签

定义和用法

form 元素可为用户输入创建表单。

表单可包含文本域，复选框，单选按钮等等。表单用于向指定的 URL 传递用户数据。

HTML 与 XHTML 之间的差异

NONE

必需的属性

属性 | 值 | 描述 | DTD
action | URL | 当确认按钮被按下时，接受和处理表单数据的 URL。 | STF
method
  • get
  • post
 用于向 action URL 传送数据的 HTTP 方法。默认为 get。 STF

可选的属性

属性 | 值 | 描述 | DTD
accept-charset | 字符集名称列表 | 一个服务器可接受的字符集的列表（用逗号分隔）。 | STF
enctype | MIME 类型 | 用来编码表单内容的 MIME 类型. | STF
name | 表单名称 | 定义表单的唯一名称。 | TF
target
  • _blank
  • _parent
  • _self
  • _top
 在何处打开目标 URL。 TF

method 属性

method="get"：此方法可传送 URL 中的表单内容：URL?name=value&name=value。

注释：如果表单值包含非 ASCII 字符或者超过 100 个字符，您则必须使用 method="post"。

method="post"：此方法可传送 request 主体中的表单内容。

有关 method 方法的详细信息。

accept-charset 属性

accept-charset 属性允许您指定一系列字符集，服务器必须支持这些字符集，从而得以正确解释表单中的数据。

该属性的值是用引号包含字符集名称列表。如果可接受字符集与用户所使用的字符即不相匹配的话，浏览器可以选择忽略表单或是将该表单区别对待。

此属性的默认值是 "unknown"，表示表单的字符集与包含表单的文档的字符集相同。

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onsubmit, onreset, onclick, ondblclick, onmousedown, onmouseup,
onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <input> 标签

定义和用法

<input> 标签可定义输入域的开始，在其中用户可输入数据。

对于大量通常的表单控件，可以使用 <input> 标签来进行定义，其中包括文本字段、多选列表、可单击的图像和提交按钮等。

虽然 <input> 标签中有许多属性，但是对每个元素来说，只有 type 属性和 name 属性是必需的（提交或重置按钮只有 type 属性）。

HTML 与 XHTML 之间的差异

在 HTML 中，<input> 标签没有结束标签。

在 XHTML 中，<input> 标签必须被正确地关闭。

提示和注释：

注释：input 元素是空的，它仅包含属性。

提示：请使用 label 元素为某个表单控件定义标签。

必需的属性

属性 值 描述 DTD
type
  • button
  • checkbox
  • file
  • hidden
  • image
  • password
  • radio
  • reset
  • submit
  • text
 指示 input 元素的类型。默认值是 "text"。
注释：此属性不是必需的属性，但是我们认为应当包含此属性。如果被忽略，IE 5.5 会显示一个文本域，而 Netscape 4.7 不会。 		STF
name field_name 定义用于此 input 元素的唯一名称。
注释：此属性必需与 type="button"、type="checkbox"、type="file"、type="hidden"、type="image"、type="password"、type="text" 以及 type="radio" 一同使用。 		STF

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
accept | list_of_mime_types | 一个逗号分隔的 MIME 类型列表，指示文件传输的 MIME 类型。注释：仅可与 type="file" 配合使用。 | STF
alt | text | 定义图像的替代文本。 注释：仅可与 type="image" 配合使用。 | STF
checked | checked | 指示此 input 元素首次加载时应当被选中。 注释：请与 type="checkbox" 及 type="radio" 配合使用。 | STF
disabled | disabled | 当 input 元素首次加载时禁用此元素，这样用户就无法在其中写文本，或选定它。 注释：不能与 type="hidden" 一同使用。 | STF
maxlength | number | 定义在某个文本域中所允许的最大字符数。 注释：仅可与 type="text" 配合使用。 | STF
readonly | readonly | 指示此域的值不能被修改。 注释：仅可与 type="text" 配合使用。 | STF
src | URL | 定义所显示图像的URL 注释：仅可与 type="image" 一同使用。 | STF
value | value | 对于按钮、重置按钮和确认按钮：定义按钮上的文本。 对于图像按钮：定义传递向某个脚本的此域的符号结果。 对于复选框和单选按钮：定义 input 元素被点击时的结果。 对于隐藏域、密码域以及文本域：定义元素的默认值。 注释：不能与 type="file" 一同使用。 注释：与 type="checkbox" 和 type="radio" 一同使用时，此元素是必需的。 | STF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

tabindex, accesskey, onfocus, onblur, onselect, onchange,
onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <textarea> 标签

定义和用法

定义一个文本区域 (text-area) （一个多行的文本输入区域）。用户可在此文本区域中写文本。在一个文本区中，您可输入无限数量的文本。文本区中的默认字体是等宽字体 (fixed pitch)。

注释：在文本输入区内的文本行间，用 "%OD%OA" （回车/换行）进行分隔。

提示：可以通过 <textarea> 标签的 wrap 属性设置文本输入区内的换行模式。有关 wrap 属性的详细信息。

HTML 与 XHTML 之间的差异

NONE

例子

<textarea rows="3" cols="30">
这里是文本域中的文本 ... ... ... ...
</textarea>

必需的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
cols | number | 规定文本区内可见的列数。 | STF
rows | number | 规定文本区内可见的行数。 | STF

可选的属性

DTD指示此属性允许在哪种DTD中使用。S=Strict, T=Transitional, and F=Frameset.

属性 | 值 | 描述 | DTD
disabled | disabled | 当此文本区首次加载时禁用此文本区。 | STF
name | name_of_textarea | 为此文本区规定一个名称。 | STF
readonly | readonly | 指明用户无法修改文本区内的内容。 | STF

标准属性

id, class, title, style, dir, lang, xml:lang, tabindex, accesskey

如需完整的描述，请访问标准属性。

事件属性

onfocus, onblur, onselect, onchange, onclick, ondblclick, onmousedown,
 onmouseup, onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <button> 标签

定义和用法

定义一个按钮。在 button 元素内部，您可以放置内容，比如文本或图像。这是该元素与使用 input 元素创建的按钮之间的不同之处。

<button> 控件 与 <input type="button"> 相比，提供了更为强大的功能和更丰富的内容。<button> 与 </button> 标签之间的所有内容都是按钮的内容，其中包括任何可接受的正文内容，比如文本或多媒体内容。例如，我们可以在按钮中包括一个图像和相关的文本，用它们在按钮中创建一个吸引人的标记图像。

唯一禁止使用的元素是图像映射，因为它对鼠标和键盘敏感的动作会干扰表单按钮的行为。

HTML 与 XHTML 之间的差异

NONE

可选的属性

属性 | 值 | 描述 | DTD
disabled | disabled | 禁用此按钮。 | STF
name | button_name | 规定此按钮的唯一名称。 | STF
type
  • button
  • reset
  • submit
 定义按钮的类型。 STF
value | some_value | 规定按钮的初始值。此值可被脚本修改。 | STF

标准属性

id, class, title, style, dir, lang, xml:lang, accesskey, tabindex

如需完整的描述，请访问标准属性。

事件属性

onfocus, onblur, onclick, ondblclick, onmousedown, onmouseup,
onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <select> 标签

定义和用法

select 元素可创建单选或多选菜单。

当提交表单时，浏览器会提交选定的项目，或者收集用逗号分隔的多个选项，将其合成一个单独的参数列表，并且在将 <select> 表单数据提交给服务器时包括 name 属性。

HTML 与 XHTML 之间的差异

NONE

提示和注释：

提示：请在 form 元素中使用此标签来接受用户的输入。

例子

<select>
  <option value ="volvo">Volvo</option>
  <option value ="saab">Saab</option>
  <option value="opel">Opel</option>
  <option value="audi">Audi</option>
</select>

可选的属性

属性 | 值 | 描述 | DTD
disabled | disabled | 当设置此属性时，会禁用该菜单。 | STF
multiple | multiple | 当设置此属性时，会规定可同时选定多个项目。 | STF
name | unique_name | 定义下拉列表的唯一标识符。 | STF
size | number | 定义菜单中可见项目的数目。 | STF

标准属性

id, class, title, style, dir, lang, xml:lang, accesskey, tabindex

如需完整的描述，请访问标准属性。

事件属性

onfocus, onblur, onchange


HTML <optgroup> 标签

定义和用法

定义选项组。此元素允许您组合选项。当您使用一个长的选项列表时，对相关的选项进行组合会使处理更加容易。

HTML 与 XHTML 之间的差异

NONE

例子

<select>
      <optgroup label="Swedish Cars">
      <option value ="volvo">Volvo</option>
      <option value ="saab">Saab</option>
      </optgroup>
      <optgroup label="German Cars">
      <option value ="mercedes">Mercedes</option>
      <option value ="audi">Audi</option>
      </optgroup>
</select>

必需的属性

属性 | 值 | 描述 | DTD
label | text_label | 定义选项组的标记 | STF

可选的属性

属性 | 值 | 描述 | DTD
disabled | disabled | 当选项组首次加载时，禁用此选项组 | STF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

tabindex, onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <option> 标签

定义和用法

option 元素可定义下拉列表中的一个选项（一个条目）。

浏览器将 <option> 标签中的内容作为 <select> 标签的菜单或是滚动列表中的一个元素显示。

HTML 与 XHTML 之间的差异

在 HTML 中，<option> 没有结束标签。

在 XHTML 中，<option> 必须被正确关闭。

提示和注释：

注释：<option> 标签可以在不带有任何属性的情况下使用，但是您通常需要使用 value 属性，此属性会指示出被送往服务器的内容。

注释：请与 select 元素配合使用此标签，否则这个标签是没有意义的。

例子

<select>
  <option value="volvo">Volvo</option>
  <option value="saab">Saab</option>
  <option value="opel" selected="selected">Opel</option>
  <option value="audi">Audi</option>
</select>

可选的属性

属性 | 值 | 描述 | DTD
disabled | disabled | 规定此选项应在首次加载时被禁用。 | STF
label | text | 定义当使用 <optgroup> 时所使用的标注。 | STF
selected | selected | 规定选项（在首次显示在列表中时）表现为选中状态。 | STF
value | text | 定义送往服务器的选项值。 | STF

标准属性

id, class, title, style, dir, lang, xml:lang, tabindex

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <label> 标签

定义和用法

向控件定义标注（标记）。如果您在 label 元素内点击文本，就会触发此控件。就是说，当用户选择该标签时，浏览器就会自动将焦点转到和标签相关的表单控件上。

HTML 与 XHTML 之间的差异

NONE

提示和注释：

注释："for" 属性可把 label 绑定到另外一个元素。请把 "for" 属性的值设置为相关元素的 id 属性的值。

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
for | id_of_another_field | 定义 label 针对哪个表单元素。设置为某个表单元素的 id。 注释：如果此属性未被规定，那么 label 会关联其内容。 | STF

隐式和显式的联系

标记通常以下面两种方式中的一种来和表单控件相联系：将表单控件作为标记标签的内容，这样的就是隐式形式，或者为 <label> 标签下的 for 属性命名一个目标表单 id，这样就是显式形式。

例如，在 XHTML 中：

<label for="SSN">Social Security Number:</label>
<input type="text" name="SocSecNum" id="SSn" />
<label>Date of Birth: <input type="text" name="DofB" /></label>

第一个标记是以显式形式将文本 "Social Security Number:" 和表单的社会安全号码的文本输入控件 ("SocSecNum") 联系起来，它的 for 属性的值和控件的 id 一样，都是 SSN。第二个标记 ("Date of Birth:") 不需要 for 属性，它的相关控件也不需要 id 属性，它们是通过在 <label> 标签中放入 <input> 标签来隐式地连接起来的。

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

accesskey, onfocus, onblur, onclick, ondblclick, onmousedown, onmouseup,
onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <fieldset> 标签

定义和用法

fieldset 元素可将表单内的相关元素分组。

<fieldset> 标签将表单内容的一部分打包，生成一组相关表单的字段。<fieldset> 标签没有必需的或唯一的属性。

当一组表单元素放到 <fieldset> 标签内时，浏览器会以特殊方式来显示它们，它们可能有特殊的边界、3D 效果，或者甚至可创建一个子表单来处理这些元素。

HTML 与 XHTML 之间的差异

NONE

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

accesskey, onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <legend> 标签

定义和用法

legend 元素可为 fieldset 定义一个标题。

实例

<fieldset>
<legend>Health information:</legend>
<form>
<label>Height: <input type="text" /></label>
<label>Weight: <input type="text" /></label>
</form>
</fieldset>

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，align 属性不被赞成使用。

在 XHTML 1.0 Strict DTD 中，align 属性不被支持。

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 值 描述 DTD
align
  • top
  • bottom
  • left
  • right
 为 fieldset 中的内容定义排列方式。默认值是 Top。 TF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

accesskey, onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <ul> 标签

定义和用法

<ul> 标签定义了无序列表。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，ul 元素的 "compact" 和 "type" 属性是不被赞成使用的。

在 XHTML 1.0 Strict DTD 中，ul 元素的 "compact" 和 "type" 属性是不被支持的。

提示和注释：

提示：请使用样式来定义列表的类型。

例子

<ul>
<li>Coffee</li>
<li>Tea</li>
</ul>

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <ol> 标签

定义和用法

<ol> 标签定义了有序列表。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，ol 元素的 "compact"、"start" 以及 "type" 属性是不被赞成使用的。

在 XHTML 1.0 Strict DTD 中，ol 元素的 "compact"、"start" 以及 "type" 属性是不被支持的。

提示和注释：

注释：请使用样式来定义列表的类型。

例子

<ol>
   <li>Coffee</li>
   <li>Tea</li>
</ol>

可选的属性

属性 | 值 | 描述 | DTD
compact | compact_rendering | 不赞成使用。请使用样式代替。 | TF
start | start_on_number | 规定起始数字。不赞成使用。请使用样式代替。 | TF
type
  • A
  • a
  • I
  • i
  • 1
 规定列表的类型。不赞成使用。请使用样式代替。 TF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <li> 标签

定义和用法

<li> 标签定义了列表项目。<li> 标签可用在有序列表 (<ol>) 和无序列表 (<ul>) 中。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，li 元素的 "type" 和 "value" 属性是不被赞成使用的。

在 XHTML 1.0 Strict DTD 中，li 元素的 "type" 和 "value" 属性是不被支持的。

提示和注释：

注释：请使用样式来定义列表的类型。

例子

<ol>
   <li>Coffee</li>
   <li>Tea</li>
</ol>
<ul>
   <li>Coffee</li>
   <li>Tea</li>
</ul>

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
type
  • A
  • a
  • I
  • i
  • 1
  • disc
  • square
  • circle
 规定列表的类型。不赞成使用。请使用样式替代。 TF
value | number_of_list_item | 不赞成使用。请使用样式替代。 | TF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <dl> 标签

定义和用法

<dl> 标签定义了定义列表。

HTML 与 XHTML 之间的差异

NONE

例子

<dl>
   <dt>Coffee</dt>
   <dd>Black hot drink</dd>
   <dt>Milk</dt>
   <dd>White cold drink</dd>
</dl>

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <dt> 标签

定义和用法

<dt> 标签定义了定义列表中的项目（即术语部分）。

HTML 与 XHTML 之间的差异

NONE

例子

<dl>
   <dt>Coffee</dt>
   <dd>Black hot drink</dd>
   <dt>Milk</dt>
   <dd>White cold drink</dd>
</dl>

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <dd> 标签

定义和用法

<dd> 可在定义列表中定义条目的定义部分。

HTML 与 XHTML 之间的差异

NONE

例子

<dl>
   <dt>Coffee</dt>
   <dd>Black hot drink</dd>
   <dt>Milk</dt>
   <dd>White cold drink</dd>
</dl>

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <dir> 标签

定义和用法

<dir> 标签可定义目录列表。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，dir 元素不被赞成使用。

在 XHTML 1.0 Strict DTD 中，dir 元素不被支持。

提示和注释：

注释：请使用 CSS 样式来定义列表的类型！

例子

<dir>
   <li>html</li>
   <li>xhtml</li>
</dir>

可选的属性

属性 | 值 | 描述 | DTD
compact | compact_rendering | 不赞成使用。请使用样式代替。 | TF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onfocus, onblur, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <menu> 标签

定义和用法

<menu> 标签可定义一个菜单列表。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，menu 元素不被赞成使用。

在 XHTML 1.0 Strict DTD 中，menu 元素不被支持。

提示和注释：

提示：请使用 CSS 样式来定义列表的类型！

例子

<menu>
   <li>html</li>
   <li>xhtml</li>
</menu>

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
compact | compact_rendering | Deprecated. Use styles instead | TF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onfocus, onblur, onmousedown, onmouseup,
onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <img> 标签

定义和用法

img 元素可定义一副图像。

HTML 与 XHTML 之间的差异

在 HTML 中，<img> 标签没有结束标签。

在 XHTML 中，<img> 标签必须被正确地关闭。

在 HTML 4.01 中，image 元素的"align"、"border"、"hspace" 以及 "vspace" 是不被赞成使用的。

在 XHTML 1.0 Strict DTD 中，image 元素的 "align"、"border"、"hspace" 以及 "vspace" 是不被支持的。

Mozilla Firefox 和 alt 属性

如果您在 Firefox 中使用 alt 属性，那么当鼠标悬浮在图片或图像地图时不会像其他的浏览器那样出现提示文本。

Firefox 使用 alt 属性的方式与此属性被预想的方式是一致的，比如假如图像没有载入时出现的替代文本，而不是 mouse-over 文本。

例如，<img src="image.gif" alt="bla" title="bla bla bla" />

例子

<img src="angry.gif" alt="Angry" />

必需的属性

DTD指示此属性允许在哪种DTD中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
alt | text | 定义图像的简短描述（即图像的替代文本）。不超过 1024 个字符。 | STF
src | URL | 所显示图像的 URL。 | STF

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
align
  • top
  • bottom
  • middle
  • left
  • right
 规定如何根据周围的文本来排列图像。 TF
border | pixels | 定义图像周围的边框。 | TF
height
  • pixels
  • %
 定义图像的高度。 STF
hspace | pixels | 定义图像左侧和右侧的空白。 | TF
ismap | URL | 定义作为服务器端图像映射的一幅图像。有关 ismap 属性的详细信息。 | STF
longdesc | URL | 指向包含长的图像描述文档的 URL。 | STF
usemap URL 定义作为客户端图像映射的一幅图像。有关 usemap 属性的详细信息。
请参阅 <map> 和 <area> 标签，以领会其工作原理。 		STF
vspace | pixels | 定义图像顶部和底部的空白。 | TF
width
  • pixels
  • %
 设置图像的宽度。 STF

标准属性

id, class, title, style, lang, xml:lang
如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <map> 标签

定义和用法

定义一个客户端图像映射。图像映射（image-map）指带有可点击区域的一幅图像。

HTML 与 XHTML 之间的差异

NONE

提示和注释：

注释：area 元素永远嵌套在 map 元素内部。area 元素可定义图像映射中的区域。

注释：<img>中的 usemap 属性可引用 <map> 中的 id 或 name 属性（取决于浏览器），所以我们应同时向 <map> 添加 id 和 name 属性。

必需的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
id | unique_name | 为 map 标签定义唯一的名称。 | STF

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
name | unique_name | 为 map 标签定义唯一的名称（用于向后兼容）。 | STF

标准属性

class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

tabindex, accesskey, onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup, onfocus, onblur


HTML <area> 标签

定义和用法

定义图像映射中的某个区域。

HTML 与 XHTML 之间的差异

在 HTML 中，<area> 没有结束标签。

在 XHTML 中，<area> 必须被正确地关闭。

提示和注释：

此元素永远被嵌套在 <map> 标签内部。

注释：<img> 中的 usemap 属性可引用 <map> 中的 id 或 name 属性（由浏览器决定），所以我们需要同时向 <map> 添加 id 和 name 两个属性。

必需的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
alt | text | 定义此区域的替换文本。 | STF

可选的属性

属性 | 值 | 描述 | DTD
coords 坐标值 定义可点击区域（对鼠标敏感的区域）的坐标。
有关 coords 属性的详细信息。 		STF
href | URL | 定义此区域的目标 URL。 | STF
nohref
  • true
  • false
 从图像映射排除某个区域。 STF
shape
  • rect
  • rectangle
  • circ
  • circle
  • poly
  • polygon
 定义区域的形状。 STF
target
  • _blank
  • _parent
  • _self
  • _top
 在何处打开目标 URL:
  • _blank - 在一个新的未命名的窗口载入文档
  • _self - 在相同的框架或窗口中载入目标文档
  • _parent - 把文档载入父窗口或包含了超链接引用的框架的框架集
  • _top - 把文档载入包含该超链接的窗口,取代任何当前正在窗口中显示的框架
 TF

标准属性

id, class, title, style, dir, lang, xml:lang, tabindex, accesskey

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover, onmousemove,
onmouseout, onkeypress, onkeydown, onkeyup, onfocus, onblur


HTML <table> 标签

定义和用法

<table> 标签可定义表格。在 <table> 标签内部，你可以放置表格的标题、表格行、表格列、表格单元以及其他的表格。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，table 元素的 "align" 和 "bgcolor" 属性是不被赞成使用的。

在 XHTML 1.0 Strict DTD，table 元素的 "align" 和 "bgcolor" 属性是不被支持的。

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
align
  • left
  • center
  • right
 排列表格。不赞成使用。请使用样式取而代之。 TF
bgcolor
  • rgb(x,x,x)
  • #xxxxxx
  • colorname
 规定表格的背景颜色。不赞成使用。请使用样式取而代之。 TF
border pixels 规定表格边框的宽度。
提示：可通过设置 border="0" 来显示无边框的表格！ 		STF
cellpadding
  • pixels
  • %
 规定单元边沿与其内容之间的空白。 STF
cellspacing
  • pixels
  • %
 规定单元格之间的空白。 STF
frame
  • void
  • above
  • below
  • hsides
  • lhs
  • rhs
  • vsides
  • box
  • border
 规定表格周围的哪一侧的边框是可见的。
注释："border" 属性可与 "frame" 属性配合使用，来规定边框的宽度！ 		STF
rules
  • none
  • groups
  • rows
  • cols
  • all
 规定水平或垂直的分界线。
注释：必须与 "border" 属性配合使用！ 		STF
summary | text | 为语音合成/非视觉浏览器规定表格的摘要。 | STF
width
  • %
  • pixels
 规定表格的宽度。 STF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <caption> 标签

定义和用法

caption 元素可定义一个表格标题。caption 标签必须紧随 table 标签之后。您只能对每个表格定义一个标题。通常这个标题会被居中于表格之上。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，caption 元素的 align 属性是不被赞成使用的。

在 XHTML 1.0 Strict DTD 中，caption 元素的 align 属性是不被支持的。

可选的属性

属性 值 描述 DTD
align
  • left
  • right
  • top
  • bottom
 如何对齐该标题。不赞成使用。请使用样式取而代之。 TF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <th> 标签

定义和用法

定义表格内的表头单元格。此 th 元素内部的文本通常会呈现为粗体。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，th 元素的 "bgcolor"、"height"、"width" 以及 "nowrap" 属性是不被赞成使用的。

在 XHTML 1.0 Strict DTD 中，th 元素的 "bgcolor"、"height"、"width" 以及 "nowrap" 属性是不被支持。

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
abbr | abbr_text | 规定一个单元格中内容的缩写版本。 | STF
align
  • left
  • right
  • center
  • justify
  • char
 规定单元格内容的水平排列方式。 STF
axis | category_names | 为单元格定义一个名称。 | STF
bgcolor
  • rgb(x,x,x)
  • #xxxxxx
  • colorname
 规定表格单元格的背景颜色。不赞成使用，请使用样式替代它。 TF
char character 规定哪个字符是最齐的中心线，例如将十进制数字对齐。
注释：仅当 align="char" 时使用。 		STF
charoff
  • pixels
  • %
 规定每行对齐字符第一次出现的偏移量，如果一行中不包含对齐字符，应该水平平移到对齐位置的最后。
注释：仅当 align="char" 时使用。 		STF
colspan | number | 指明此单元格可横跨的列数 | STF
headers | header_cells'_id | 一个空格分隔的单元格ID列表，这些ID可为单元格提供表头的信息。此属性允许纯文本的浏览器为某个给定的单元格呈现表头信息。 | STF
height | pixels | 规定表格单元格的高度。Deprecated. Use styles instead. | TF
nowrap | nowrap | 是否在此单元格中禁用或启用正文的文本环绕。Deprecated. Use styles instead. | TF
rowspan | number | 指明此单元格可横跨的行数。 | STF
scope
  • col
  • colgroup
  • row
  • rowgroup
 规定此单元格是否为以下部分提供表头信息：包含此单元格的行(row)的其余部分，包含此单元格的列(col)的其余部分，包含此单元格的行组(rowgroup)的其余部分，包含此单元格的列组(colgroup)的其余部分。 STF
valign
  • top
  • middle
  • bottom
  • baseline
 规定单元格内容的垂直排列 STF
width
  • pixels
  • %
 规定表格单元格的宽度。Deprecated. Use styles instead. TF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <tr> 标签

定义和用法

在表格中定义一行。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，tr 元素的 "bgcolor" 是不被赞成使用的。

在 XHTML 1.0 Strict DTD 中，tr 元素的 "bgcolor" 是不被支持的。

例子

<table border = "1">
<tr>
<td>Cell A</td>
<td>Cell B</td>
</tr>
</table>

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 值 描述 DTD
align
  • right
  • left
  • center
  • justify
  • char
 定义单元格中的文本排列 STF
bgcolor
  • rgb(x,x,x)
  • #xxxxxx
  • colorname
 规定表格单元格的背景颜色。不赞成使用。请使用样式取而代之。 TF
char character 规定根据哪个字符来进行文本对齐。
注释：仅当 align="char" 时使用！
有关 char 和 charoff 属性的详细信息。 		STF
charoff
  • pixels
  • %
规定第一个对齐字符的偏移量。
注释：仅当 align="char" 时使用！
有关 char 和 charoff 属性的详细信息。 		STF
valign
  • top
  • middle
  • bottom
  • baseline
 规定单元格中文本的垂直排列方式。 STF

char 和 charoff 属性

即使是最简单的文字处理器也允许在表格中排列十进制数字中的点。直到 HTML 4.0 标准的出现，网页设计语言一直不能充分满足这方面的要求。

现在，可以使用 char 属性，来指定表格行内单元格中的一个字母，这个字母就是对齐的中心线。不需要为 char 指定值。如果你没有指定的话，默认的字符是基于语言：例如，在英语中是一个句点，而在法语中是一个逗号。如果把一个单字符指定为 char 属性的值，则可以指定不同的对齐字符。

使用 charoff 属性和一个整数值可指定每行对齐字符第一次出现的偏移量。如果一行中不包括对齐字符，应该水平平移到对齐位置的最后。

char 和 charoff 属性在 HTML 4 和 XHTML 中是新出现的属性，还没有得到任何一个流行浏览器的支持。

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <td> 标签

定义和用法

定义表格中的一个单元格。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，td 元素的 "bgcolor"、"height"、"width" 以及 "nowrap" 是不被赞成使用的。

在 XHTML 1.0 Strict DTD 中，td 元素的 "bgcolor"、"height"、"width" 以及 "nowrap" 是不被支持的。

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
abbr | abbr_text | 规定单元格中内容的缩写版本。 | STF
align
  • left
  • right
  • center
  • justify
  • char
 规定单元格内容的水平排列方式。 STF
axis | category_names | 为单元格定义一个名字。有关 axis 属性的详细信息。 | STF
bgcolor
  • rgb(x,x,x)
  • #xxxxxx
  • colorname
 规定单元格的背景颜色。不赞成使用。请使用样式取而代之。 TF
char character 规定根据哪个字符来进行文本对齐。
注释：仅当 align="char" 时使用！
有关 char 和 charoff 属性的详细信息。 		STF
charoff pixels % 规定第一个对齐字符的偏移量。
注释：仅当 align="char" 时使用！
有关 char 和 charoff 属性的详细信息。 		STF
colspan | number | 规定此单元格可横跨的列数。 | STF
headers | header_cells'_id | 一个空格分隔的单元格 ID 列表，这些 ID 可为单元格提供表头的信息。此属性允许纯文本的浏览器为某个给定的单元格呈现表头信息。有关 headers 属性的详细信息。 | STF
height | pixels | 规定表格单元格的高度。不赞成使用。请使用样式取而代之。 | TF
nowrap | nowrap | 是否在此单元格中禁用或启用正文的文本环绕。不赞成使用。请使用样式取而代之。 | TF
rowspan | number | 规定此单元格可横跨的行数。 | STF
scope
  • col
  • colgroup
  • row
  • rowgroup
 规定此单元格是否为以下部分提供表头信息：包含此单元格的行 row) 的其余部分，包含此单元格的列 (col) 的其余部分，包含此单元格的行组 (rowgroup) 的其余部分，包含此单元格的列组 (colgroup) 的其余部分。
有关 scope 属性的详细信息。 		STF
valign
  • top
  • middle
  • bottom
  • baseline
 规定单元格内容的垂直排列方式。 STF
width
  • pixels
  • %
 规定表格单元格的宽度。不赞成使用。请使用样式取而代之。 TF

char 和 charoff 属性

即使是最简单的文字处理器也允许在表格中排列十进制数字中的点。直到 HTML 4.0 标准的出现，网页设计语言一直不能充分满足这方面的要求。

现在，可以使用 char 属性，来指定表格行内单元格中的一个字母，这个字母就是对齐的中心线。不需要为 char 指定值。如果你没有指定的话，默认的字符是基于语言：例如，在英语中是一个句点，而在法语中是一个逗号。如果把一个单字符指定为 char 属性的值，则可以指定不同的对齐字符。

使用 charoff 属性和一个整数值可指定每行对齐字符第一次出现的偏移量。如果一行中不包括对齐字符，应该水平平移到对齐位置的最后。

char 和 charoff 属性在 HTML 4 和 XHTML 中是新出现的属性，还没有得到任何一个流行浏览器的支持。

headers 属性

headers 属性会将表格中的一个表头单元格和一个数据单元格联系起来。

这个属性的值是引号包括的一列名称，这些名称是用 id 属性定义的不同表头单元格的名称。

headers 属性对非可视化的浏览器，也就是那些在显示出相关数据单元格内容之前就显示表头单元格内容的浏览器非常有用。

scope 属性

使用 scope 属性，可以将数据单元格与表头单元格联系起来。

通过属性值 row，表头行包括的所有表格都将和表头单元格联系起来。指定 col，会将当前列的所有单元格和表头单元格绑定起来。

使用 rowgroup 和 colgroup 会将单元格的行组（由 <thead>、<tbody> 或 <tfoot> 标签定义）或列组中的所有单元格和表头单元格绑定起来（由 <col> 或 <colgroup> 标签定义）。

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <td> 标签

 <<回到标签列表

HTML <thead> 标签

定义和用法

定义表格的表头。

thead、tfoot 以及 tbody 元素使您有能力对表格中的行进行分组。当您创建某个表格时，您也许希望拥有一个标题行，一些带有数据的行，以及位于底部的一个总计行。这种划分使浏览器有能力支持独立于表格标题和页脚的表格正文滚动。当长的表格被打印时，表格的表头和页脚可被打印在包含表格数据的每张页面上。

HTML 与 XHTML 之间的差异

NONE

提示和注释：

注释：<thead> 内部必须拥有 <tr> 标签！

注释：如果您使用 thead、tfoot 以及 tbody 元素，您就必须使用全部的元素。它们的出现次序是：thead、tfoot、tbody，这样浏览器就可以在收到所有数据前呈现页脚了。您必须在 table 元素内部使用这些标签。

注释：<thead>、<tbody> 以及 <tfoot> 很少被使用，这是因为糟糕的浏览器支持。我们期望在 XHTML 的未来版本中这种情况会发生变化。

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 值 描述 DTD
align
  • right
  • left
  • center
  • justify
  • char
 定义单元格内的文本排列方式。 STF
char character 规定根据哪个字符来进行文本对齐。
注释：仅当 align="char" 时使用！ 		STF
charoff
  • pixels
  • %
 规定第一个对齐字符的偏移量。
注释：仅当 align="char" 时使用！ 		STF
valign
  • top
  • middle
  • bottom
  • baseline
 规定单元格内垂直的文本排列方式。 STF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <tbody> 标签

定义和用法

定义一段表格主体（正文）。

使用 <tbody> 标签，可以将表格分为一个单独的部分。<tbody> 标签可将表格中的一行或几行合成一组。

虽然您可能想包括一个，甚至会在表格中包括两个或更多个 <tbody> 标签，但是我们建议最好在表格中没有 <tbody> 标签。

在 <tbody> 标签中，只有 <tr> 标签可以定义表格行。并且一旦定义，一个 <tbody> 标签就是表格中的一个独立的部分。例如不能从一个 <tbody> 跨越到另一个 <tbody> 中。

thead、tfoot 以及 tbody 元素使您有能力对表格中的行进行分组。当您创建某个表格时，您也许希望拥有一个标题行，一些带有数据的行，以及位于底部的一个总计行。这种划分使浏览器有能力支持独立于表格标题和页脚的表格正文滚动。当长的表格被打印时，表格的表头和页脚可被打印在包含表格数据的每张页面上。

HTML 与 XHTML 之间的差异

NONE

提示和注释：

注释：<thead> 内部必须拥有 <tr> 标签！

注释：如果您使用 thead、tfoot 以及 tbody 元素，您就必须使用全部的元素。它们的出现次序是：thead、tfoot、tbody，这样浏览器就可以在收到所有数据前呈现页脚了。您必须在 table 元素内部使用这些标签。

注释：<thead>、<tbody> 以及 <tfoot> 很少被使用，这是因为糟糕的浏览器支持。我们期望在 XHTML 的未来版本中这种情况会发生变化。

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 值 描述 DTD
align
  • right
  • left
  • center
  • justify
  • char
 定义单元格内的文本排列方式。 STF
char character 规定根据哪个字符来进行文本对齐。
注释：仅当 align="char" 时使用！ 		STF
charoff
  • pixels
  • %
 规定第一个对齐字符的偏移量。
注释：仅当 align="char" 时使用！ 		STF
valign
  • top
  • middle
  • bottom
  • baseline
 规定单元格内垂直的文本排列方式。 STF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <tfoot> 标签

定义和用法

定义表格的页脚（脚注）。

thead、tfoot 以及 tbody 元素使您有能力对表格中的行进行分组。当您创建某个表格时，您也许希望拥有一个标题行，一些带有数据的行，以及位于底部的一个总计行。这种划分使浏览器有能力支持独立于表格标题和页脚的表格正文滚动。当长的表格被打印时，表格的表头和页脚可被打印在包含表格数据的每张页面上。

HTML 与 XHTML 之间的差异

NONE

提示和注释：

注释：<thead> 内部必须拥有 <tr> 标签！

注释：如果您使用 thead、tfoot 以及 tbody 元素，您就必须使用全部的元素。它们的出现次序是：thead、tfoot、tbody，这样浏览器就可以在收到所有数据前呈现页脚了。您必须在 table 元素内部使用这些标签。

注释：<thead>、<tbody> 以及 <tfoot> 很少被使用，这是因为糟糕的浏览器支持。我们期望在 XHTML 的未来版本中这种情况会发生变化。

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 值 描述 DTD
align
  • right
  • left
  • center
  • justify
  • char
 定义单元格内的文本排列方式。 STF
char character 规定根据哪个字符来进行文本对齐。
注释：仅当 align="char" 时使用！ 		STF
charoff
  • pixels
  • %
 规定第一个对齐字符的偏移量。
注释：仅当 align="char" 时使用！ 		STF
valign
  • top
  • middle
  • bottom
  • baseline
 规定单元格内垂直的文本排列方式。 STF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <col> 标签

定义和用法

为表格中一个或多个列定义属性值。您只能在表格或 colgroup 中使用此元素。

HTML 与 XHTML 之间的差异

在 HTML 中，<col> 没有结束标签。

在 XHTML 中，<col> 标签必须被正确的嵌套。

提示和注释：

注释：col 元素是仅包含属性的空元素。如需创建列，您就必须在 tr 元素内部规定 td 元素。

提示：如果您希望在 colgroup 内部为每个列规定不同的属性值时，请使用此元素。如果没有 col 元素，列会从 colgroup 那里继承所有的属性值。

例子

<table border="1">
  <colgroup span="3">
   <col width="20"></col>
    <col width="50"></col>
    <col width="80"></col>
  </colgroup>
  <tr>
    <td>1</td>
    <td>2</td>
    <td>3</td>
    <td>4</td>
  </tr>
</table>

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
align
  • right
  • left
  • center
  • justify
  • char
 在列中定义单元格中内容的水平排列方式。 STF
char character 规定根据哪个字符来进行文本对齐。
注释：仅当 align="char" 时使用！ 		STF
charoff
  • pixels
  • %
 规定第一个对齐字符的偏移量。
注释：仅当 align="char" 时使用！ 		STF
span | number | 定义 <col> 应当横跨的列数。有关 span 属性的详细信息。 | STF
valign
  • top
  • middle
  • bottom
  • baseline
 在列中定义单元格中内容的垂直排列方式。 STF
width
  • %
  • pixels
  • relative_length
 定义列的宽度。
注释：将覆盖 <colgroup> 中设置的宽度。 		STF

span 属性

<col> 标签，如同 <colgroup> 标签中的 span 属性一样，允许设置设置 <col> 标签能够影响多少列。

在默认情况下，它只能影响一列。举个例子，创建一个有 5 列的 <colgroup>。我们分别将第一列和最后一列靠左和靠右对齐，中间的三列居中。

<colgroup>
  <col align="left" />
  <col align="center" span="3" />
  <col align="right" />
</colgroup>

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <colgroup> 标签

定义和用法

定义表格列的分组。通过此元素，您可以对列进行组合以便进行格式化。此元素只有在 <table> 标签内部才是合法的。

有两种方式来使用 <colgroup> 标签：一种是对几个同样的列进行简单的定义，另一种是将几个不同的列组合起来。

HTML 与 XHTML 之间的差异

NONE

提示和注释：

注释：col 元素是仅包含属性的空元素。如需创建列，您就必须在 tr 元素内部规定 td 元素。

例子

<table border="1">
  <colgroup span="3" style="color:#FF0000;"></colgroup>
  <tr>
    <td>1</td>
    <td>2</td>
    <td>3</td>
    <td>4</td>
  </tr>
</table>

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 值 描述 DTD
align
  • right
  • left
  • center
  • justify
  • char
 定义列组合中内容的水平排列方式。 STF
char character 定义一个字符，用来把文本向此字符进行排列。
（与align="char"配合使用） 		STF
charoff
  • pixels
  • %
 定义向第一个字符排列的排列偏移量。
（与align="char"配合使用） 		STF
span number 定义 <colgroup> 可以横跨的列数。
有关 span 属性的详细信息。 		STF
valign
  • top
  • middle
  • bottom
  • baseline
 定义在列组合中内容的垂直排列方式。 STF
width
  • %
  • pixels
  • relative_length
 定义列组合的宽度。
注释：可通过在 <col> 中设置宽度来覆盖 width 属性！ 		STF

span 属性

在 <colgroup> 标签中使用 span，可获得第一个列组的类型。span 属性的值是 <colgroup> 标签能够影响到的列数。

例如，有 6 列的一个表格，第一组有 4 列，第二组有 2 列，这样的表格在源码上如下所示：

<colgroup span="4"></colgroup>
<colgroup span="2"></colgroup>

浏览器在用例子中的代码将表格单元格合成列时，它会将每行前四个单元格合成第一个列组，将接下来的两个单元格合成第二个列组。这样，<colgroup> 标签的其他属性就可以用于该列组包含的列中了。

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <style> 标签

定义和用法

style 元素位于 head 部分中。

如果您希望在页面中包含样式表，您应当在外部定义样式表，并使用 link 标签来链接它。

HTML 与 XHTML 之间的差异

NONE

提示和注释：

注释：如需学习更多有关样式表的知识，请访问我们的 CSS 教程。

例子

<head>
<style type="text/css">
h1 {color: red}
h2 {color: blue}
</style>
</head>

必需的属性

属性 | 值 | 描述 | DTD
type | text/css | 定义内容类型。 | STF

可选的属性

属性 值 描述 DTD
media
  • screen
  • tty
  • tv
  • projection
  • handheld
  • print
  • braille
  • aural
  • all
 此样式信息的目标媒介。 STF

标准属性

title, dir, lang, xml:space

如需完整的描述，请访问标准属性。


HTML <div> 标签

定义和用法

<div> 可定义文档中的分区或节（division/section）。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，div 元素的 "align" 属性不被赞成使用。

在 XHTML 1.0 Strict DTD 中，div 元素的 "align" 属性不被支持。

提示和注释：

注释：浏览器通常会在 div 元素前后放置一个换行符。

提示：请使用 <div> 元素来组合块级元素，这样就可以使用样式对它们进行格式化。

例子

<body>
 <h1>The meaning of life</h1>
 <p>By Huntington B. Snark</p>
 <div>
  <h2>What do I mean by "life"</h2>
  <p>....</p>
 </div>
 <div>
  <h2>What do I mean by "mean"?</h2>
  ...
 </div>
 ...
</body>

可选的属性

属性 值 描述 DTD
align
  • left
  • right
  • center
  • justify
 如果排列 div 元素中的文本。不赞成使用。请使用样式取而代之。 TF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <span> 标签

定义和用法

<span> 标签被用来组合文档中的内联元素。

HTML 与 XHTML 之间的差异

NONE

提示和注释：

注释：请使用 <span> 来组合内联元素，以便通过样式来格式化它们。

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <head> 标签

定义和用法

head 元素可包含关于文档的信息。浏览器不会向用户显示这些头部信息（"head information"）。下面这些标签可用在 head 部分：<base>, <link>, <meta>, <script>, <style>, 以及 <title>。

HTML 与 XHTML 之间的差异

NONE

提示和注释：

提示：请记住始终为文档规定标题！

例子

<html>
<head>
  <title>文档的标题</title>
</head>
<body>
...
...
...
</body>
</html>

可选的属性

属性 | 值 | 描述 | DTD
profile | URL | 一个由空格分隔的 URL 列表，这些 URL 包含着有关页面的元数据信息。 | STF

标准属性

dir, lang, xml:lang

如需完整的描述，请访问标准属性。


HTML <title> 标签

定义和用法

此元素可定义文档的标题。

HTML 与 XHTML 之前的差异

NONE

例子

<html>
  <head>
    <title>XHTML Tag   Reference</title>
  </head>
  <body>
    The content of the document......
  </body>
</html>

标准属性

id, class, dir, lang, style, xml:lang

如需完整的描述，请访问标准属性。


HTML <meta> 标签

定义和用法

<meta> 元素可提供有关页面的元信息（meta-information），比如针对搜索引擎和更新频度的描述和关键词。

<meta> 标签位于文档的头部，不包含任何内容。<meta> 标签的属性定义了与文档相关联的名称/值对。

HTML 与 XHTML 之间的差异

在 HTML 中，<meta> 标签没有结束标签。

在 XHTML 中，<meta> 标签必须被正确地关闭。

提示和注释：

注释：<meta> 标签永远位于 head 元素内部。

注释：元数据总是以名称/值的形式被成对传递的。

必需的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
content | some_text | 定义与 http-equiv 或 name 属性相关的元信息 | STF

可选的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
http-equiv
  • content-type
  • expires
  • refresh
  • set-cookie
 把 content 属性关联到 HTTP 头部。 STF
name
  • author
  • description
  • keywords
  • generator
  • revised
  • others
 把 content 属性关联到一个名称。 STF
scheme | some_text | 定义用于翻译 content 属性值的格式。 | STF

name 属性

name 属性提供了名称/值对中的名称。HTML 和 XHTML 标签都没有指定任何预先定义的 <meta> 名称。通常情况下，您可以自由使用对自己和源文档的读者来说富有意义的名称。

"keywords" 是一个经常被用到的名称。它为文档定义了一组关键字。某些搜索引擎在遇到这些关键字时，会用这些关键字对文档进行分类。

类似这样的 meta 标签可能对于进入搜索引擎的索引有帮助：

<meta name="keywords" content="HTML,ASP,PHP,SQL" >

如果没有提供 name 属性，那么名称/值对中的名称会采用 http-equiv 属性的值。

http-equiv 属性

http-equiv 属性为名称/值对提供了名称。并指示服务器在发送实际的文档之前先在要传送给浏览器的 MIME 文档头部包含名称/值对。

当服务器向浏览器发送文档时，会先发送许多名称/值对。虽然有些服务器会发送许多这种名称/值对，但是所有服务器都至少要发送一个：content-type:text/html。这将告诉浏览器准备接受一个 HTML 文档。

使用带有 http-equiv 属性的 <meta> 标签时，服务器将把名称/值对添加到发送给浏览器的内容头部。例如，添加：

<meta http-equiv="charset" content="iso-8859-1">
<meta http-equiv="expires" content="31 Dec 2008">

这样发送到浏览器的头部就应该包含：

content-type: text/html
charset:iso-8859-1
expires:31 Dec 2007

当然，只有浏览器可以接受这些附加的头部字段，并能以适当的方式使用它们时，这些字段才有意义。

content 属性

content 属性提供了名称/值对中的值。该值可以是任何有效的字符串。

content 属性始终要和 name 属性或 http-equiv 属性一起使用。

scheme 属性

scheme 属性用于指定要用来翻译属性值的方案。此方案应该在由 <head> 标签的 profile 属性指定的概况文件中进行了定义。

标准属性

dir, lang, xml:lang

如需完整的描述，请访问标准属性。


HTML <base> 标签

定义和用法

base 元素可规定页面中所有链接的基准 URL。

通常情况下，浏览器会从当前文档的 URL 中提取相应的元素来填写相对 URL 中的空白。

使用 <base> 标签可以改变这一点。浏览器随后将不再使用当前文档的 URL，而使用指定的基本 URL 来解析所有的相对 URL。这其中包括 <a>、<img>、<link>、<form> 标签中的 URL。

HTML 与 XHTML 之间的差异

在 HTML 中，<base> 标签没有结束标签。

在 XHTML 中，<base> 标签必须被正确地关闭。

提示和注释：

注释：<base> 标签必须位于 head 元素内部。

必需的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
href | URL | 规定页面中所有链接的基准 URL。 | STF

可选的属性

属性 值 描述 DTD
target
  • _blank
  • _parent
  • _self
  • _top
 在何处打开页面中所有的链接:
  • _blank - 在一个新的未命名的窗口载入文档
  • _self - 在相同的框架或窗口中载入目标文档
  • _parent - 把文档载入父窗口或包含了超链接引用的框架的框架集
  • _top - 把文档载入包含该超链接的窗口,取代任何当前正在窗口中显示的框架
 TF

标准的属性和事件

NONE


HTML <basefont> 标签

定义和用法

定义一个基准字体。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，basefont 元素是不被赞成使用的。

在 XHTML 1.0 Strict DTD 中，basefont 元素不被支持。

可选的属性

属性 | 值 | 描述 | DTD
color
  • rgb(x,x,x)
  • #xxxxxx
  • colorname
 规定文本的颜色。不赞成使用。请使用样式取代它。 TF
face | list_of_fontnames | 规定要使用的字体。不赞成使用。请使用样式取代它。 | TF
size default_text_size 针对 font 元素的字体尺寸(从 1 到 7 的数字)。
不赞成使用。请使用样式取代它。 		TF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

NONE


HTML <script> 标签

定义和用法

定义一段诸如 JavaScript 的脚本。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，script 元素的 "language" 属性不被赞成使用。

在 XHTML 1.0 Strict DTD 中，script 元素的 "language" 属性不被支持。

提示和注释：

注释：假如此元素内部的代码没有位于某个函数中，那么这些代码会在页面被加载时被立即执行。<frameset> 标签之后的脚本会被忽略。

例子

<script type="text/javascript">
  document.write("Hello World!")
</script>

必选的属性

属性 值 描述 DTD
type
  • text/ecmascript
  • text/javascript
  • application/ecmascript
  • application/javascript
  • text/vbscript
 指示脚本的 MIME 类型。有关 type 属性的详细信息。 STF

可选的属性

属性 | 值 | 描述 | DTD
charset | charset | 定义用在脚本中的字符编码。 | STF
defer | defer | 指示脚本不会生成任何的文档内容。浏览器可以继续解析并绘制页面。 | STF
language
  • javascript
  • livescript
  • vbscript
  • other
 规定脚本语言。不赞成使用。请使用 type 属性代替它。 TF
src | URL | 定义指向包含脚本的文件的 URL（这样您就可以引用某个包含脚本的文件，而不是直接把脚本插入您的 HTML 文档中）。 | STF

标准属性

xml:space

如需完整的描述，请访问标准属性。

事件属性

NONE


HTML <noscript> 标签

定义和用法

noscript 元素用来定义在脚本未被执行时的替代内容（文本）。

此标签可被用于可识别 <script> 标签但无法支持其中的脚本的浏览器。

HTML 与 XHTML 之间的差异

NONE

提示和注释：

注释：如果浏览器支持脚本，那么它不会显示出 noscript 元素中的文本。

注释：无法识别 <script> 标签的浏览器会把标签的内容显示到页面上。为了避免浏览器这样做，您应当在注释标签中隐藏脚本。老式的（无法识别 <script> 标签的）浏览器会忽略注释，这样就不会把标签的内容写到页面上，而新式的浏览器则懂得执行这些脚本，即使它们被包围在注释标签中！

例子

JavaScript

<body>
  ...
  ...
  <script type="text/javascript">
    <!--
    document.write("Hello World!")
    //-->
  </script>
  <noscript>Your browser does not support JavaScript!</noscript>
  ...
  ...
</body>

VBScript

<body>
  ...
  ...
  <script type="text/vbscript">
   <!--
   document.write("Hello World!")
   '-->
  </script>
  <noscript>Your browser does not support VBScript!</noscript>
  ...
  ...
</body>

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。


HTML <object> 标签

定义和用法

定义一个嵌入的对象。请使用此元素向您的 XHTML 页面添加多媒体。此元素运行您规定插入 HTML 文档中的对象的数据和参数，以及可用来显示和操作数据的代码。

HTML 与 XHTML 之间的差异

NONE

提示和注释：

注释：object 元素可位于在 head 元素或 body 元素内部。<object> 与 </object> 之间的文本是替换文本，针对不支持此标签的浏览器。<param> 标签可定义用于对象的 run-time 设置。

注释：至于图像，请使用 <img> 标签代替 <object> 标签。

可选的属性

属性 | 值 | 描述 | DTD
align
  • left
  • right
  • top
  • bottom
 定义围绕该对象的文本对齐方式。 TF
archive | URL | 一个空格分隔的指向档案文件的 URL 列表。这些档案文件包含了与对象相关的资源。有关 archive 属性的详细信息。 | STF
border | pixels | 定义对象周围的边框。 | TF
classid class ID 定义嵌入 Windows Registry 中或某个 URL 中的类的 ID 值，此属性可用来指定浏览器中包含的对象的位置，通常是一个 Java 类。
有关 classid 属性的详细信息。 		STF
codebase URL 定义在何处可找到对象所需的代码，提供一个基准 URL。
有关 codebase 属性的详细信息。 		STF
codetype MIME type 通过 classid 属性所引用的代码的 MIME 类型。
有关 codetype 属性的详细信息。 		STF
data URL 定义引用对象数据的 URL。如果有需要对象处理的数据文件,要用 data 属性来指定这些数据文件。
有关 data 属性的详细信息。 		STF
declare declare 可定义此对象仅可被声明，但不能被创建或例示，直到此对象得到应用为止。
有关 declare 属性的详细信息。 		STF
height | pixels | 定义对象的高度。 | STF
hspace | pixels | 定义对象周围水平方向的空白。 | TF
name | unique_name | 为对象定义唯一的名称（以便在脚本中使用）。 | STF
standby | text | 定义当对象正在加载时所显示的文本。 | STF
type | MIME_type | 定义被规定在 data 属性中指定的文件中出现的数据的 MIME 类型。 | STF
usemap | URL | 规定与对象一同使用的客户端图像映射的 URL。 | STF
vspace | pixels | 定义对象的垂直方向的空白。 | TF
width | pixels | 定义对象的宽度。 | STF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

accesskey, tabindex, onclick, ondblclick, onmousedown, onmouseup,
onmouseover, onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML <param> 标签

定义和用法

param 元素允许您为插入 XHTML 文档的对象规定 run-time 设置，也就是说，此标签可为包含它的 <object> 或者 <applet> 标签提供参数。

HTML 与 XHTML 之间的差异

在 HTML 中，<param> 标签没有结束标签。

在 XHTML 中，<param> 标签必须被正确地关闭。

必需的属性

属性 | 值 | 描述 | DTD
name | unique_name | 定义参数的唯一的名称（唯一标识符） | STF

可选的属性

属性 | 值 | 描述 | DTD
name | unique_name | 定义参数的唯一的名称（唯一标识符） | STF
type | MIME type | 规定参数的 MIME 类型（internet media type）。 | STF
value | value | 规定参数的值。 | STF
valuetype
  • data
  • ref
  • object
 规定值的 MIME 类型。 STF

标准属性

id

如需完整的描述，请访问标准属性。


HTML <applet> 标签

定义和用法

定义一个嵌入的 applet。

HTML 与 XHTML 之间的差异

在 HTML 4.01 中，applet 元素不被赞成使用。

在 XHTML 1.0 Strict DTD 中，applet 元素不被支持。

提示和注释：

提示：如需包含 applet，请尽可能地使用 object 元素（因为在 XHTML 1.0 Strict DTD 中，applet 元素不被支持）。

必需的属性

DTD 指示此属性允许在哪种 DTD 中使用。S=Strict, T=Transitional, F=Frameset.

属性 | 值 | 描述 | DTD
height | pixels | 定义 applet 的高度 | TF
width | pixels | 定义 applet 的宽度 | TF

可选的属性

属性 | 值 | 描述 | DTD
align
  • left
  • right
  • top
  • bottom
  • middle
  • baseline
  • texttop
  • absmiddle
  • absbottom
 定义围绕 applet 的文本排列方式。 TF
alt | text | 假如浏览器支持 applet，但无法运行此 applet 时，被显示的替换文本。 | TF
archive | URL | 当 applet 被存储在某个 JAVA 档案文件或 ZIP 文件中时，此 applet 的 URL。 | TF
code | URL | 执行 applet 的 class 的 URL。 | TF
codebase | URL | 指示 applet 的基准 URL，假如 code 属性是相对的。 | TF
hspace | pixels | 定义围绕 applet 的水平间隔。 | TF
name | unique_name | 定义针对 applet 的唯一名称（用在脚本中的）。 | TF
object | name | 定义了包含该 applet 的一系列版本的资源名称。 | TF
title | text | 在工具提示中显示的附加信息。 | TF
vspace | pixels | 定义围绕 applet 的垂直间隔。 | TF

标准属性

id, class, title, style, dir, lang, xml:lang

如需完整的描述，请访问标准属性。

事件属性

onclick, ondblclick, onmousedown, onmouseup, onmouseover,
onmousemove, onmouseout, onkeypress, onkeydown, onkeyup


HTML 标准属性

HTML 标签拥有属性。每个标签的特殊属性均被列于每个标签描述之下。这里列出的属性是通用于每个标签的核心属性和语言属性（有个别例外）：

核心属性 (Core Attributes)

以下标签不提供下面的属性：base、head、html、meta、param、script、style 以及 title 元素。

属性 | 值 | 描述
class | class_rule or style_rule | 元素的类(class)
id | id_name | 元素的某个特定id。
style | 样式定义 | 内联样式定义。
title | 提示文本 | 显示于提示工具中的文本。

语言属性 (Language Attributes)

以下标签不提供下面的属性：base、br、frame、frameset、hr、iframe、param 以及 script 元素。

属性 | 值 | 描述
dir | ltr | rtl | 设置文本的方向。
lang | 语言代码 | 设置语言代码。

键盘属性 (Keyboard Attributes)

属性 | 值 | 描述
accesskey | 字符 | 设置访问某元素的键盘快捷键。
tabindex | 数 | 设置某元素的Tab次序。


HTML 事件属性

HTML 4.0 的新特性之一是使 HTML 事件触发浏览器中的行为，比方说当用户点击一个 HTML 元素时启动一段 JavaScript。以下就是可被插入 HTML 标签以定义事件行为的一系列属性。

窗口事件 (Window Events)

仅在 body 和 frameset 元素中有效。

属性 | 值 | 描述
onload | 脚本 | 当文档被载入时执行脚本
onunload | 脚本 | 当文档被卸下时执行脚本

表单元素事件 (Form Element Events)

仅在表单元素中有效。

属性 | 值 | 描述
onchange | 脚本 | 当元素改变时执行脚本
onsubmit | 脚本 | 当表单被提交时执行脚本
onreset | 脚本 | 当表单被重置时执行脚本
onselect | 脚本 | 当元素被选取时执行脚本
onblur | 脚本 | 当元素失去焦点时执行脚本
onfocus | 脚本 | 当元素获得焦点时执行脚本

键盘事件 (Keyboard Events)

在下列元素中无效：base、bdo、br、frame、frameset、head、html、iframe、meta、param、script、style 以及 title 元素。

属性 | 值 | 描述
onkeydown | 脚本 | 当键盘被按下时执行脚本
onkeypress | 脚本 | 当键盘被按下后又松开时执行脚本
onkeyup | 脚本 | 当键盘被松开时执行脚本

鼠标事件 (Keyboard Events)

在下列元素中无效：base、bdo、br、frame、frameset、head、html、iframe、meta、param、script、style 以及 title 元素。

属性 | 值 | 描述
onclick | 脚本 | 当鼠标被单击时执行脚本
ondblclick | 脚本 | 当鼠标被双击时执行脚本
onmousedown | 脚本 | 当鼠标按钮被按下时执行脚本
onmousemove | 脚本 | 当鼠标指针移动时执行脚本
onmouseout | 脚本 | 当鼠标指针移出某元素时执行脚本
onmouseover | 脚本 | 当鼠标指针悬停于某元素之上时执行脚本
onmouseup | 脚本 | 当鼠标按钮被松开时执行脚本


HTML Latin-1 字符实体

HTML 4.01 支持 ISO 8859-1 (Latin-1) 字符集。

ISO-8859-1 的较低部分（从 1 到 127 之间的代码）是最初的 7 比特 ASCII。

ISO-8859-1 的较高部分（从 160 到 255 之间的代码）全都有实体名称。

这些符号中的大多数都可以在不进行实体引用的情况下使用，但是实体名称或实体编号为那些不容易通过键盘键入的符号提供了表达的方法。

注释：实体名称对大小写敏感。

带有实体名称的 ASCII 实体

结果 | 描述 | 实体名称 | 实体编号
" | quotation mark | &quot; | &#34;
' | apostrophe | &apos; | &#39;
& | ampersand | &amp; | &#38;
< | less-than | &lt; | &#60;
> | greater-than | &gt; | &#62;

ISO 8859-1 符号实体

结果 | 描述 | 实体名称 | 实体编号
 | non-breaking space | &nbsp; | &#160;
¡ | inverted exclamation mark | &iexcl; | &#161;
￠ | cent | &cent; | &#162;
￡ | pound | &pound; | &#163;
¤ | currency | &curren; | &#164;
￥ | yen | &yen; | &#165;
¦ | broken vertical bar | &brvbar; | &#166;
§ | section | &sect; | &#167;
¨ | spacing diaeresis | &uml; | &#168;
© | copyright | &copy; | &#169;
a | feminine ordinal indicator | &ordf; | &#170;
« | angle quotation mark (left) | &laquo; | &#171;
? | negation | &not; | &#172;
- | soft hyphen | &shy; | &#173;
® | registered trademark | &reg; | &#174;
ˉ | spacing macron | &macr; | &#175;
° | degree | &deg; | &#176;
± | plus-or-minus | &plusmn; | &#177;
2 | superscript 2 | &sup2; | &#178;
3 | superscript 3 | &sup3; | &#179;
′ | spacing acute | &acute; | &#180;
μ | micro | &micro; | &#181;
? | paragraph | &para; | &#182;
· | middle dot | &middot; | &#183;
? | spacing cedilla | &cedil; | &#184;
1 | superscript 1 | &sup1; | &#185;
o | masculine ordinal indicator | &ordm; | &#186;
» | angle quotation mark (right) | &raquo; | &#187;
? | fraction 1/4 | &frac14; | &#188;
? | fraction 1/2 | &frac12; | &#189;
? | fraction 3/4 | &frac34; | &#190;
? | inverted question mark | &iquest; | &#191;
× | multiplication | &times; | &#215;
÷ | division | &divide; | &#247;

ISO 8859-1 字符实体

结果 | 描述 | 实体名称 | 实体编号
À | capital a, grave accent | &Agrave; | &#192;
Á | capital a, acute accent | &Aacute; | &#193;
Â | capital a, circumflex accent | &Acirc; | &#194;
Ã | capital a, tilde | &Atilde; | &#195;
Ä | capital a, umlaut mark | &Auml; | &#196;
Å | capital a, ring | &Aring; | &#197;
Æ | capital ae | &AElig; | &#198;
Ç | capital c, cedilla | &Ccedil; | &#199;
È | capital e, grave accent | &Egrave; | &#200;
É | capital e, acute accent | &Eacute; | &#201;
Ê | capital e, circumflex accent | &Ecirc; | &#202;
Ë | capital e, umlaut mark | &Euml; | &#203;
Ì | capital i, grave accent | &Igrave; | &#204;
Í | capital i, acute accent | &Iacute; | &#205;
Î | capital i, circumflex accent | &Icirc; | &#206;
Ï | capital i, umlaut mark | &Iuml; | &#207;
Ð | capital eth, Icelandic | &ETH; | &#208;
Ñ | capital n, tilde | &Ntilde; | &#209;
Ò | capital o, grave accent | &Ograve; | &#210;
Ó | capital o, acute accent | &Oacute; | &#211;
Ô | capital o, circumflex accent | &Ocirc; | &#212;
Õ | capital o, tilde | &Otilde; | &#213;
Ö | capital o, umlaut mark | &Ouml; | &#214;
Ø | capital o, slash | &Oslash; | &#216;
ù | capital u, grave accent | &Ugrave; | &#217;
ú | capital u, acute accent | &Uacute; | &#218;
? | capital u, circumflex accent | &Ucirc; | &#219;
ü | capital u, umlaut mark | &Uuml; | &#220;
Y | capital y, acute accent | &Yacute; | &#221;
T | capital THORN, Icelandic | &THORN; | &#222;
? | small sharp s, German | &szlig; | &#223;
à | small a, grave accent | &agrave; | &#224;
á | small a, acute accent | &aacute; | &#225;
a | small a, circumflex accent | &acirc; | &#226;
? | small a, tilde | &atilde; | &#227;
? | small a, umlaut mark | &auml; | &#228;
? | small a, ring | &aring; | &#229;
? | small ae | &aelig; | &#230;
? | small c, cedilla | &ccedil; | &#231;
è | small e, grave accent | &egrave; | &#232;
é | small e, acute accent | &eacute; | &#233;
ê | small e, circumflex accent | &ecirc; | &#234;
? | small e, umlaut mark | &euml; | &#235;
ì | small i, grave accent | &igrave; | &#236;
í | small i, acute accent | &iacute; | &#237;
? | small i, circumflex accent | &icirc; | &#238;
? | small i, umlaut mark | &iuml; | &#239;
e | small eth, Icelandic | &eth; | &#240;
? | small n, tilde | &ntilde; | &#241;
ò | small o, grave accent | &ograve; | &#242;
ó | small o, acute accent | &oacute; | &#243;
? | small o, circumflex accent | &ocirc; | &#244;
? | small o, tilde | &otilde; | &#245;
? | small o, umlaut mark | &ouml; | &#246;
? | small o, slash | &oslash; | &#248;
ù | small u, grave accent | &ugrave; | &#249;
ú | small u, acute accent | &uacute; | &#250;
? | small u, circumflex accent | &ucirc; | &#251;
ü | small u, umlaut mark | &uuml; | &#252;
y | small y, acute accent | &yacute; | &#253;
t | small thorn, Icelandic | &thorn; | &#254;
? | small y, umlaut mark | &yuml; | &#255;


HTML 4.01 符号实体

本字符实体参考手册包括了数学符号、希腊字符、各种箭头记号、科技符号以及形状。

注释：实体名称对大小写敏感。

HTML 支持的数学符号

结果 | 描述 | 实体名称 | 实体编号
∀ | for all | &forall; | &#8704;
∂ | part | &part; | &#8706;
∃ | exists | &exists; | &#8707;
∅ | empty | &empty; | &#8709;
∇ | nabla | &nabla; | &#8711;
∈ | isin | &isin; | &#8712;
∉ | notin | &notin; | &#8713;
∋ | ni | &ni; | &#8715;
∏ | prod | &prod; | &#8719;
∑ | sum | &sum; | &#8721;
− | minus | &minus; | &#8722;
∗ | lowast | &lowast; | &#8727;
√ | square root | &radic; | &#8730;
∝ | proportional to | &prop; | &#8733;
∞ | infinity | &infin; | &#8734;
∠ | angle | &ang; | &#8736;
∧ | and | &and; | &#8743;
∨ | or | &or; | &#8744;
∩ | cap | &cap; | &#8745;
∪ | cup | &cup; | &#8746;
∫ | integral | &int; | &#8747;
∴ | therefore | &there4; | &#8756;
∼ | simular to | &sim; | &#8764;
≅ | approximately equal | &cong; | &#8773;
≈ | almost equal | &asymp; | &#8776;
≠ | not equal | &ne; | &#8800;
≡ | equivalent | &equiv; | &#8801;
≤ | less or equal | &le; | &#8804;
≥ | greater or equal | &ge; | &#8805;
⊂ | subset of | &sub; | &#8834;
⊃ | superset of | &sup; | &#8835;
⊄ | not subset of | &nsub; | &#8836;
⊆ | subset or equal | &sube; | &#8838;
⊇ | superset or equal | &supe; | &#8839;
⊕ | circled plus | &oplus; | &#8853;
⊗ | cirled times | &otimes; | &#8855;
⊥ | perpendicular | &perp; | &#8869;
⋅ | dot operator | &sdot; | &#8901;

HTML 支持的希腊字母

结果 | 描述 | 实体名称 | 实体编号
Α | Alpha | &Alpha; | &#913;
Β | Beta | &Beta; | &#914;
Γ | Gamma | &Gamma; | &#915;
Δ | Delta | &Delta; | &#916;
Ε | Epsilon | &Epsilon; | &#917;
Ζ | Zeta | &Zeta; | &#918;
Η | Eta | &Eta; | &#919;
Θ | Theta | &Theta; | &#920;
Ι | Iota | &Iota; | &#921;
Κ | Kappa | &Kappa; | &#922;
Λ | Lambda | &Lambda; | &#923;
Μ | Mu | &Mu; | &#924;
Ν | Nu | &Nu; | &#925;
Ξ | Xi | &Xi; | &#926;
Ο | Omicron | &Omicron; | &#927;
Π | Pi | &Pi; | &#928;
Ρ | Rho | &Rho; | &#929;
 | Sigmaf |  | undefined
Σ | Sigma | &Sigma; | &#931;
Τ | Tau | &Tau; | &#932;
Υ | Upsilon | &Upsilon; | &#933;
Φ | Phi | &Phi; | &#934;
Χ | Chi | &Chi; | &#935;
Ψ | Psi | &Psi; | &#936;
Ω | Omega | &Omega; | &#937;
α | alpha | &alpha; | &#945;
β | beta | &beta; | &#946;
γ | gamma | &gamma; | &#947;
δ | delta | &delta; | &#948;
ε | epsilon | &epsilon; | &#949;
ζ | zeta | &zeta; | &#950;
η | eta | &eta; | &#951;
θ | theta | &theta; | &#952;
ι | iota | &iota; | &#953;
κ | kappa | &kappa; | &#954;
λ | lambda | &lambda; | &#923;
μ | mu | &mu; | &#956;
ν | nu | &nu; | &#925;
ξ | xi | &xi; | &#958;
ο | omicron | &omicron; | &#959;
π | pi | &pi; | &#960;
ρ | rho | &rho; | &#961;
ς | sigmaf | &sigmaf; | &#962;
σ | sigma | &sigma; | &#963;
τ | tau | &tau; | &#964;
υ | upsilon | &upsilon; | &#965;
φ | phi | &phi; | &#966;
χ | chi | &chi; | &#967;
ψ | psi | &psi; | &#968;
ω | omega | &omega; | &#969;
ϑ | theta symbol | &thetasym; | &#977;
ϒ | upsilon symbol | &upsih; | &#978;
ϖ | pi symbol | &piv; | &#982;

HTML 支持的其他实体

结果 | 描述 | 实体名称 | 实体编号
Œ | capital ligature OE | &OElig; | &#338;
œ | small ligature oe | &oelig; | &#339;
Š | capital S with caron | &Scaron; | &#352;
š | small S with caron | &scaron; | &#353;
Ÿ | capital Y with diaeres | &Yuml; | &#376;
ƒ | f with hook | &fnof; | &#402;
ˆ | modifier letter circumflex accent | &circ; | &#710;
˜ | small tilde | &tilde; | &#732;
 | en space | &ensp; | &#8194;
 | em space | &emsp; | &#8195;
 | thin space | &thinsp; | &#8201;
‌ | zero width non-joiner | &zwnj; | &#8204;
‍ | zero width joiner | &zwj; | &#8205;
‎ | left-to-right mark | &lrm; | &#8206;
‏ | right-to-left mark | &rlm; | &#8207;
– | en dash | &ndash; | &#8211;
— | em dash | &mdash; | &#8212;
‘ | left single quotation mark | &lsquo; | &#8216;
’ | right single quotation mark | &rsquo; | &#8217;
‚ | single low-9 quotation mark | &sbquo; | &#8218;
“ | left double quotation mark | &ldquo; | &#8220;
” | right double quotation mark | &rdquo; | &#8221;
„ | double low-9 quotation mark | &bdquo; | &#8222;
† | dagger | &dagger; | &#8224;
‡ | double dagger | &Dagger; | &#8225;
• | bullet | &bull; | &#8226;
… | horizontal ellipsis | &hellip; | &#8230;
‰ | per mille | &permil; | &#8240;
′ | minutes | &prime; | &#8242;
″ | seconds | &Prime; | &#8243;
‹ | single left angle quotation | &lsaquo; | &#8249;
› | single right angle quotation | &rsaquo; | &#8250;
‾ | overline | &oline; | &#8254;
€ | euro | &euro; | &#8364;
™ | trademark | &trade; | &#8482;
← | left arrow | &larr; | &#8592;
↑ | up arrow | &uarr; | &#8593;
→ | right arrow | &rarr; | &#8594;
↓ | down arrow | &darr; | &#8595;
↔ | left right arrow | &harr; | &#8596;
↵ | carriage return arrow | &crarr; | &#8629;
⌈ | left ceiling | &lceil; | &#8968;
⌉ | right ceiling | &rceil; | &#8969;
⌊ | left floor | &lfloor; | &#8970;
⌋ | right floor | &rfloor; | &#8971;
◊ | lozenge | &loz; | &#9674;
♠ | spade | &spades; | &#9824;
♣ | club | &clubs; | &#9827;
♥ | heart | &hearts; | &#9829;
♦ | diamond | &diams; | &#9830;


HTML <area> 标签的 coords 属性

coords 属性

<area> 标签的 coords 属性定义了客户端图像映射中对鼠标敏感的区域的坐标。坐标的数字及其含义取决于 shape 属性中决定的区域形状。可以将客户端图像映射中的超链接区域定义为矩形、圆形或多边形等。

下面列出了每种形状的适当值：

圆形：shape="circle"，coords="x,y,z"

这里的 x 和 y 定义了圆心的位置（"0,0" 是图像左上角的坐标），r 是以像素为单位的圆形半径。

多边形：shape="polygon"，coords="x1,y1,x2,y2,x3,y3,..."

每一对 "x,y" 坐标都定义了多边形的一个顶点（"0,0" 是图像左上角的坐标）。定义三角形至少需要三组坐标；高纬多边形则需要更多数量的顶点。

多边形会自动封闭，因此在列表的结尾不需要重复第一个坐标来闭合整个区域。

矩形：shape="rectangle"，coords="x1,y1,x2,y2"

第一个坐标是矩形的一个角的顶点坐标，另一对坐标是对角的顶点坐标，"0,0" 是图像左上角的坐标。请注意，定义举行实际上是定义带有四个顶点的多边形的一种简化方法。

例如，下面的 XHTML 片段在一个 100x100 像素图像的右下方四分之一处，定义了一个对鼠标敏感的区域，并在图像的正中间定义了一个圆形区域。

<map name="map">
  <area shape="rect" coords="75,75,99,99" nohref="nohref">
  <area shape="circ" coords="50,50,25" nohref="nohref">
</map>

提示和注释

注释：如果某个 area 标签中的坐标和其他区域发生了重叠，会优先采用最先出现的 area 标签。浏览器会忽略超过图像边界范围之外的坐标。


HTML <br> 标签的 clear 属性

通常情况下，<br> 标签会告诉浏览器立即停止当前的文本流，并在下一行的左边，或者在左对齐的内联图形或表格的右边开始继续输出文本流。

但是有时候，您也许希望当前的文本流在当前左边或右边的内联表格或图像的下面一行继续输出。

HTML 4 和 XHTML 通过 <br> 标签提供了这样的功能。它可以具有三个值：left、right 或者 all，每个值都代表一个边界或两边的边界。当指定的边界没有图像时，浏览器才会继续输出文本。

提示和注释

提示：一般情况下，文本流中的其他行会在内联图像的底部显示，除非图形的 <img> 标签被设置为左对齐或右对齐（对于 <table> 标签也一样）。因此，<br> 标签的 clear 属性只对这些左对齐或右对齐的图像或表格起作用。


HTML <form> 标签的 method 属性

method 属性

浏览器使用 method 属性设置的方法将表单中的数据传送给服务器进行处理。共有两种方法：POST 方法和 GET 方法。

如果采用 POST 方法，浏览器将会按照下面两步来发送数据。首先，浏览器将与 action 属性中指定的表单处理服务器建立联系，一旦建立连接之后，浏览器就会按分段传输的方法将数据发送给服务器。

在服务器端，一旦 POST 样式的应用程序开始执行时，就应该从一个标志位置读取参数，而一旦读到参数，在应用程序能够使用这些表单值以前，必须对这些参数进行解码。用户特定的服务器会明确指定应用程序应该如何接受这些参数。

另一种情况是采用 GET 方法，这时浏览器会与表单处理服务器建立连接，然后直接在一个传输步骤中发送所有的表单数据：浏览器会将数据直接附在表单的 action URL 之后。这两者之间用问号进行分隔。

一般浏览器通过上述任何一种方法都可以传输表单信息，而有些服务器只接受其中一种方法提供的数据。可以在 <form> 标签的 method （方法）属性中指明表单处理服务器要用方法来处理数据，使 POST 还是 GET。

POST 还是 GET？

如果表单处理服务器既支持 POST 方法又支持 GET 方法，那么你该选择哪种方法呢？下面是有关这方面的一些规律：

  • 如果希望获得最佳表单传输性能，可以采用 GET 方法发送只有少数简短字段的小表单。
  • 一些服务器操作系统在处理可以立即传递给应用程序的命令行参数时，会限制其数目和长度，在这种情况下，对那些有许多字段或是很长的文本域的表单来说，就应该采用 POST 方法来发送。
  • 如果你在编写服务器端的表单处理应用程序方面经验不足，应该选择 GET 方法。如果采用 POST 方法，就要在读取和解码方法做些额外的工作，也许这并不很难，但是也许你不太愿意去处理这些问题。
  • 如果安全性是个问题，那么我们建议选用 POST 方法。GET 方法将表单参数直接放在应用程序的 URL 中，这样网络窥探者可以很轻松地捕获它们，还可以从服务器的日志文件中进行摘录。如果参数中包含了信用卡帐号这样的敏感信息，就会在不知不觉中危及用户的安全。而 POST 应用程序就没有安全方面的漏洞，在将参数作为单独的事务传输给服务器进行处理时，至少还可以采用加密的方法。
  • 如果想在表单之外调用服务器端的应用程序，而且包括向其传递参数的过程，就要采用 GET 方法，因为该方法允许把表单这样的参数包括进来作为 URL 的一部分。而另一方面，使用 POST 样式的应用程序却希望在 URL 后还能有一个来自浏览器额外的传输过程，其中传输的内容不能作为传统 <a> 标签的内容。

明确传递参数

前面的一些建议也可以作为选择此种方式的一定解释。假设你有一个很简单的表单，其中只包含 x 和 y 这两个参数。在对这些元素的值进行编码时，它们的形式如下所示：

x=28&y=66

如果表单采用了 method=GET，那么用来引用服务器端应用程序的 URL 将如下所示：

http://www.example.com/example/program?x=28&y=66

在任何时候我们都可以创建一个传统的 <a> 标签，用它在调用带有所需参数值的表单，其形式如下所示：

<a href="http://www.example.com/example/program?x=28&y=66">

唯一的问题是，分隔参数所用的 & 符号也是字符实体中的插入符号。如果在 <a> 标签的 href 属性中放入一个 & 符号，浏览器就会将其后面的字符替换成相应的字符实体。

为了防止出现这种情况，我们必须用它的实体对等物来替换 & 符号，也就是用 "&#38;" 或 "&amp;" 来替换。替换之后，上面的那个引用服务器应用程序的非表单示例将如下所示：

<a href="http://www.example.com/example/program?x=28&amp;y=66">

由于这样还是不能在 URL 中使用 & 符号，并且有可能在将来带来混乱，因此我们鼓励服务器设置最后也能够接受用分号作为参数分隔符。您也可以看看自己的服务器文档，了解服务器是否支持这种功能。


HTML <frameset> 标签的 cols 属性和 rows 属性

作用和用法

<frameset> 标签有一个必需的属性：要么是 rows，要么是 cols，这取决于您的选择，它们定义了文档窗口中框架或嵌套的框架集的行或列的大小及数目。

这两个属性都接受用引号括起来并用逗号分开的值列表，这些数值指定了框架的绝对（像素点）或相对（百分比或其余空间）宽度（对列而言），或者绝对或相对高度（对行而言）。这些属性值的数目决定了浏览器将会在文档窗口中显示多少行或列的框架。

与表格一样，浏览器在显示时会尽可能接近给定的框架集尺寸。但是，浏览器不会为了能够容纳下超出边沿的框架集而扩展文档窗口的边界，也不会在指定的框架没有填满整个窗口时用空白区域来填满窗口。相反，浏览器会根据一个框架在行和列中相对于其他框架的大小来分配空间，这样就能够填满整个文档窗口了。（注意到一个主框架文档中没有滚动条了吗？）

例子

例子 1

下面的代码将创建 3 行框架：

<frameset rows="150,300,150">

其中的每行都贯穿整个文档窗口。第一和最后一个框架被设为 150 像素高，第二行设置成 300 像素高。

实际上，除非浏览器窗口正好是 600 像素高，否则浏览器将会自动按照比例延伸或压缩第一和最后一个框架，使得这两个框架都占据 1/4 的窗口空间。中间行将会占据剩下 1/2 的窗口空间。

例子 2

用窗口尺寸的百分比表示的框架行和列尺寸数据更加实际。

例如，下面这个示例与刚才那个示例的效果相同：

<frameset rows="25%,50%,25%">

当然，如果这些百分比加起来不是 100%，浏览器也会自动按照比例重新给出每行尺寸以消除差异。

例子 3

如果你像我们一样，那么将问题综合起来就不是一件难事。可能有的框架设计人员正为同样的困难而感到苦恼，这就解释了为什么他们要在 <frameset> 的 rows 和 cols 值上加上星号。它告诉浏览器要在将相邻的框架放入框架集之后，给剩下的空间分配各自的行或列。

例如，当浏览器遇到下列框架标签时：

<frameset cols="100, *">

上面的例子会生成一个宽为固定的 100 像素的列，然后再生成另一个框架列，该列会占据框架集中其余所有的空间。

例子 4

您还可以对多个列或行属性值使用星号。在这样的情况下，相应的行或列将对可用空间进行等分，例如：

<frameset rows="*, 100, *">

这条语句在框架集的中间生成一个 100 像素高的行，并在这行的上边和下边各生成一个相同尺寸的行。

例子 5

如果在星号前放置一个整数值，相应的行或列九回相对地获得更多的可用空间。例如：

<frameset cols="10%, 3*, *, *">

它生成了 4 列：第一列占据整个框架集宽度的 10%。然后浏览器把其他空间的 3/5 分配给第二个框架，第三个和第四个框架各分配其余空间的 1/5。

从上面的例子可以发现，使用星号（尤其是用数值作为前缀），可以很容易地在一个框架集中分割剩下的空间。

提示和注释

提示：需要注意的是，浏览器允许用户手动地为单个框架文档的行或列重新确定大小，并因此改变每个框架在框架显示中各自占据的相对比例，除非你显式地告诉浏览器不要这样做。为了防止这种情况，可以在 <frame> 标签中使用 noresize 属性。


HTML <img> 标签的 ismap 和 usemap 属性

<img> 标签的 ismap 和 usemap 属性告诉浏览器这个图像是一个特殊的可视映射，可以通过鼠标来对一个或多个超链接进行选择，也就是通常所说的图像映射（image map）。

ismap 属性

图像映射的 ismap 样式被称为 “服务器端”图像映射，它只可以用在 <a> 标签标识的超链接里面。

请看下面的例子：

<a href="/example/map">
  <img src="/i/map.gif" ismap="ismap" />
</a>

当用户在 ismap 图像上单击了某处时，浏览器会自动把鼠标的 x、y 位置（相对于图像的左上角）发送到服务器端。特殊的服务器端软件（在本例中是 /example/map 程序）可以根据这些坐标来做出响应。

usemap 属性

usemap 属性提供了一种“客户端”的图像映射机制，有效地消除了服务器端对鼠标坐标的处理，以及由此带来的网络延迟问题。通过特殊的 <map> 和 <area> 标签，HTML 创作者可以提供一个描述 usemap 图像中超链接敏感区域坐标的映射，这个映射同时包含相应的超链接 URL。usemap 属性的值是一个 URL，它指向特殊的 <map> 区域。用户计算机上的浏览器将把鼠标在图像上单击时的坐标转换成特定的行为，包括加载和显示另外一个文档。

我们举例说明一下，下面这段源代码将一个 100x100 像素的图像 map.gif 映射为 4 个区域，当用户单击其中某一个区域时，将被链接到不同的文档中。请注意，在这个 <img> 标签中，我们已经有效地包含了对 ismap 图像映射的处理功能，这样，那些使用不具有 usemap 处理功能的浏览器用户，就可以通过另外一中途径，即服务器端机制来处理图像映射：

<a href="/example/map">
  <img src="/i/map.gif" ismap="ismap" usemap="#map" />
</a>
<map name="map">
  <area coords="0,0,49,49" href="link1.html">
  <area coords="50,0,99,49" href="link2.html">
  <area coords="0,50,49,99" href="link3.html">
  <area coords="50,50,99,99" href="link4.html">
</map>

ismap 属性和 usemap 属性的应用差异

地图就是很好地应用 ismap 和 usemap 属性的一个示例，例如，在浏览一家全国范围的大公司网页时，用户可能会在地图上单击他们所居住的城市，以获得附近地区零售店的地址和电话号码等。

usemap 客户端处理图像映射的好处是，它不要求有服务器或特殊的服务器软件，与 ismap 机制不同，它可以用在非 web （无网络）环境中，例如在本地的文件或者 CD-ROM 中使用。


HTML <object> 标签的重要属性

archive 属性

因为性能方面的原因，可以选择预先下载包含一个或多个档案中的对象集。对基于 Java 的应用程序来说尤其是这样，在这些应用程序中，一个 Java 类将会依赖于很多其他类才能完成它的工作。

archive 属性的值是一个用引号括起来的 URL 列表，其中每个 URL 都指向一个在显示或执行对象之前浏览器需要加载的档案文件。

classid 属性

classid 属性用于指定浏览器中包含的对象的位置，通常是一个 Java 类。

它的值是对象的绝对或相对的 URL。如果提供了 codebase 属性的话，相对 URL 是相对于 codebase 属性指定的 URL 而言的；否则，它们是相对于当前文档的 URL。

例如，为了执行包含在 clock.class 文件中的时间 Java applet，可以在 HTML 文档中包含如下的代码：

<object classid="clock.class"></object>

浏览器将会用当前文档的基本 URL 为这个 applet 查找代码。因此，如果当前文档的 URL 如下所示：

http://www.w3school.com.cn/time.html

浏览器将会在下列地址为我们的 clock.class 实例获取 applet 代码：

http://www.w3school.com.cn/clock.class

提示：classid 属性与 <applet> 标签的 code 属性类似，提供了包含这个对象的文件名。

codebase 属性

codebase 属性是一个可选的属性，提供了一个基本的 URL。该属性的值是一个 URL，该 URL 指向的目录包含了 classid 属性所引用的对象。

codebase URL 会覆盖文档的基本 URL，但不会永久替代它。如果不使用 codebase 属性，这个基本 URL 就是默认值。

现在，我们继续使用前面的那个例子，假设文档来源于 http://www.w3school.com.cn，但是这个时钟 applet 放在一个名为 classes 的单独目录中。通过指定 classid= "classes/clock.class" 无法获得这个 applet。相反，需要将 codebase 属性和新的基本 URL 包含在内：

<object classid="clock.class" codebase="http://www.w3school.com.cn/classes/">
</object>

这行语句可以解析为这个 URL：

http://www.w3school.com.cn/classes/clock.class

尽管我们在此例中使用了绝对 URL，实际上也可以使用相对 URL。例如，applet 往往和主机文档一起保存在同一台服务器上，因此，处于重新定位的缘故，为 codebase 指定一个相对的 URL，情况往往更好一些，例如：

<object classid="clock.class" codebase="/classes/">
</object>

提示：从以上几个例子可以看到，codebase 属性与 classid 属性配合使用，可以指定对象的完整 URL。

codetype 属性

codetype 属性用于标识程序代码类型。

只有在浏览器无法根据 classid 属性决定 applet 的 MIME 类型，或者如果在下载某个对象时服务器没有传输正确的 MIME 类型的情况下，才需要使用 codetype 属性。

codetype 属性与 type 属性类似。不同的是，它用来标识程序代码类型，而 type 属性用来标识数据文件类型。

下面这个例子显式地告知浏览器，对象的代码是 Java：

<object codebase="clock.class" codetype="application/java">
</object>

declare 属性

declare 属性可以定义一个对象，但同时防止浏览器进行下载和处理。

与 name 属性一起使用时，这个工具类似于更为传统的编程语言中的某种前置声明，这样的声明能够延迟下载对象的时间，直到这个对象确实在文档中得到了应用。

data 属性

data 属性用于指定供对象处理的数据文件的 URL。

该属性的值是文件的 URL，该 URL 可能是相对于文件基本 URL 的绝对 URL 或相对 URL，或者是相对于用 codebase 属性提供的 URL 的绝对或相对 URL。

浏览器通过插入到文档中的对象类型来决定数据的类型。

该属性类似于 <img> 标签中的 src 属性，因为它下载的是要由包含对象进行处理的数据。当然，它们之间的差别在于，data 属性允许包含几乎任何文件类型，而不仅仅是图像文件。


HTML <script> 标签的属性

type 和 language 属性

type 和 language 属性都可用来指定 <script> 标签中的脚本的类型。

language 属性在 HTML 和 XHTML 标准中受到了非议，这两个标准提倡使用 type 属性。遗憾的是，这两个属性的值是不一样的。

如果您在使用 JavaScript，可以使用下面两种属性：

language = "JavaScript"

或者：

type = "text/javascript"

您可能偶尔会看见 language 的值为 VBScript（对 type 而言是 text/vbscript），表示包含的脚本代码是用 Microsoft 的 Visual Basic Script 编写的。

利用 JavaScript，您还可以使用 language 的值 "JavaScript 1.1"，表示包含的脚本语句只能被 Netscape 3.0 或更新的版本处理。Netscape 2.0 只支持 JavaScript 1.0，而无法处理标记为 "JavaScript 1.1" 的脚本。

src 和 charset 属性

对特别长的 JavaScript 程序或者经常重复使用的程序来说，你可以希望将这些代码存放到一个单独的文件中。在这样的情况下，让浏览器通过 src 属性来载入那个单独的文件。

src 的值是包含这个 JavaScript 程序的文件的 URL。保存的文件的 MIME 类型应是 application/x-javascript，但如果文件名的后缀为 .js，也能够被正确配置了的服务器进行恰当的处理。

例如下面的语句：

<script type="text/javascript" src="/w3school.com.cn/abc.js">....</script>

上面的例子告诉支持 <script> 的浏览器从服务器上下载名为 abc.js 的 JavaScript 程序。

重要事项：请注意，尽管<script> 标签没有内容，结束的 </script> 标签也是必需的。

charset 属性与 src 属性一起使用，告诉浏览器用来编码这个 javascript 程序的字符集。它的值是任何一个 ISO 标准字符集编码的名称。

defer 属性

有的 javascript 脚本 document.write 方法来创建当前的文档内容，其他脚本就不一定是了。

如果您的脚本不会改变文档的内容，可将 defer 属性加入到 <script> 标签中，以便加快处理文档的速度。因为浏览器知道它将能够安全地读取文档的剩余部分而不用执行脚本，它将推迟对脚本的解释，直到文档已经显示给用户为止。


HTML <textarea> 标签的 wrap 属性

 <<回到标签列表

HTML <form> 标签的 method 属性

method 属性

浏览器使用 method 属性设置的方法将表单中的数据传送给服务器进行处理。共有两种方法：POST 方法和 GET 方法。

如果采用 POST 方法，浏览器将会按照下面两步来发送数据。首先，浏览器将与 action 属性中指定的表单处理服务器建立联系，一旦建立连接之后，浏览器就会按分段传输的方法将数据发送给服务器。

在服务器端，一旦 POST 样式的应用程序开始执行时，就应该从一个标志位置读取参数，而一旦读到参数，在应用程序能够使用这些表单值以前，必须对这些参数进行解码。用户特定的服务器会明确指定应用程序应该如何接受这些参数。

另一种情况是采用 GET 方法，这时浏览器会与表单处理服务器建立连接，然后直接在一个传输步骤中发送所有的表单数据：浏览器会将数据直接附在表单的 action URL 之后。这两者之间用问号进行分隔。

一般浏览器通过上述任何一种方法都可以传输表单信息，而有些服务器只接受其中一种方法提供的数据。可以在 <form> 标签的 method （方法）属性中指明表单处理服务器要用方法来处理数据，使 POST 还是 GET。

POST 还是 GET？

如果表单处理服务器既支持 POST 方法又支持 GET 方法，那么你该选择哪种方法呢？下面是有关这方面的一些规律：

  • 如果希望获得最佳表单传输性能，可以采用 GET 方法发送只有少数简短字段的小表单。
  • 一些服务器操作系统在处理可以立即传递给应用程序的命令行参数时，会限制其数目和长度，在这种情况下，对那些有许多字段或是很长的文本域的表单来说，就应该采用 POST 方法来发送。
  • 如果你在编写服务器端的表单处理应用程序方面经验不足，应该选择 GET 方法。如果采用 POST 方法，就要在读取和解码方法做些额外的工作，也许这并不很难，但是也许你不太愿意去处理这些问题。
  • 如果安全性是个问题，那么我们建议选用 POST 方法。GET 方法将表单参数直接放在应用程序的 URL 中，这样网络窥探者可以很轻松地捕获它们，还可以从服务器的日志文件中进行摘录。如果参数中包含了信用卡帐号这样的敏感信息，就会在不知不觉中危及用户的安全。而 POST 应用程序就没有安全方面的漏洞，在将参数作为单独的事务传输给服务器进行处理时，至少还可以采用加密的方法。
  • 如果想在表单之外调用服务器端的应用程序，而且包括向其传递参数的过程，就要采用 GET 方法，因为该方法允许把表单这样的参数包括进来作为 URL 的一部分。而另一方面，使用 POST 样式的应用程序却希望在 URL 后还能有一个来自浏览器额外的传输过程，其中传输的内容不能作为传统 <a> 标签的内容。

明确传递参数

前面的一些建议也可以作为选择此种方式的一定解释。假设你有一个很简单的表单，其中只包含 x 和 y 这两个参数。在对这些元素的值进行编码时，它们的形式如下所示：

x=28&y=66

如果表单采用了 method=GET，那么用来引用服务器端应用程序的 URL 将如下所示：

http://www.example.com/example/program?x=28&y=66

在任何时候我们都可以创建一个传统的 <a> 标签，用它在调用带有所需参数值的表单，其形式如下所示：

<a href="http://www.example.com/example/program?x=28&y=66">

唯一的问题是，分隔参数所用的 & 符号也是字符实体中的插入符号。如果在 <a> 标签的 href 属性中放入一个 & 符号，浏览器就会将其后面的字符替换成相应的字符实体。

为了防止出现这种情况，我们必须用它的实体对等物来替换 & 符号，也就是用 "&#38;" 或 "&amp;" 来替换。替换之后，上面的那个引用服务器应用程序的非表单示例将如下所示：

<a href="http://www.example.com/example/program?x=28&amp;y=66">

由于这样还是不能在 URL 中使用 & 符号，并且有可能在将来带来混乱，因此我们鼓励服务器设置最后也能够接受用分号作为参数分隔符。您也可以看看自己的服务器文档，了解服务器是否支持这种功能。